/*!
 * @brief Geoportal resources access library
 *
 * This software is released under the licence CeCILL-B (Free BSD compatible)
 * @see http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt
 * @see http://www.cecill.info/licences/Licence_CeCILL-B_V1-fr.txt
 * @see http://www.cecill.info/
 *
 * copyright CeCILL-B
 * copyright IGN
 * @author IGN
 * @version 3.2.2
 * @date 12/05/2022
 *
 */
/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.4
 */
!function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e(require("xmldom"),require("node-fetch")):"function"==typeof define&&define.amd?define("Gp",["require","require"],e):"object"==typeof exports?exports.Gp=e(require("xmldom"),require("node-fetch")):t.Gp=e(t[void 0],t[void 0])}(this,(function(t,e){return function(t){var e={};function o(r){if(e[r])return e[r].exports;var n=e[r]={i:r,l:!1,exports:{}};return t[r].call(n.exports,n,n.exports,o),n.l=!0,n.exports}return o.m=t,o.c=e,o.d=function(t,e,r){o.o(t,e)||Object.defineProperty(t,e,{enumerable:!0,get:r})},o.r=function(t){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},o.t=function(t,e){if(1&e&&(t=o(t)),8&e)return t;if(4&e&&"object"==typeof t&&t&&t.__esModule)return t;var r=Object.create(null);if(o.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:t}),2&e&&"string"!=typeof t)for(var n in t)o.d(r,n,function(e){return t[e]}.bind(null,n));return r},o.n=function(t){var e=t&&t.__esModule?function(){return t.default}:function(){return t};return o.d(e,"a",e),e},o.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},o.p="",o(o.s=4)}([function(t){t.exports=JSON.parse('{"name":"geoportal-access-lib","version":"3.2.2","date":"12/05/2022","description":"French Geoportal resources access library","module":"src/Gp.js","main":"dist/GpServices-src.js","homepage":"https://github.com/IGNF/geoportal-access-lib#readme","scripts":{"clean":"echo \\"Warning: no yet implemented!\\" && exit 0","setup":"npm install","cover":"nyc --reporter=lcov --reporter=text npm run test","eslint":"eslint src/","build":"webpack --mode=none","build:prod":"webpack --mode=production","build:dev":"webpack --mode=development","test":"mocha-webpack --reporter mochawesome --reporter-options reportDir=test-report,reportFilename=index --webpack-config ./test/webpack/webpack.test.js --glob \\"test_*.js\\" test/spec/","test:serve":"webpack-dev-server --hot --config ./test/webpack/webpack.test.serve.js","test:serve:docker":"webpack-dev-server --hot --config ./test/webpack/webpack.test.serve.docker.js","test:end-to-end:serve":"webpack-dev-server --hot --config ./test/webpack/webpack.end-to-end.serve.js","test:end-to-end:serve:docker":"webpack-dev-server --hot --config ./test/webpack/webpack.end-to-end.serve.docker.js","sample":"npm run sample:serve","sample:serve":"webpack-dev-server --mode=none --open-page samples/index-src.html --https --content-base . --output-public-path \'/dist/\' --port 9001 --open","sample:serve:prod":"webpack-dev-server --mode=production --open-page samples/index-prod.html --content-base . --output-public-path \'/dist/\' --port 9001 --open","sample:serve:dev":"webpack-dev-server --mode=development --open-page samples/index-map.html --content-base . --output-public-path \'/dist/\' --port 9001 --open","doc":"npm run doc:serve","doc:serve":"webpack-dev-server --content-base jsdoc --port 9001 --open"},"nyc":{"include":["src/**/*.js"],"instrument":false,"sourceMap":false},"repository":{"type":"git","url":"https://github.com/IGNF/geoportal-access-lib.git"},"keywords":["geoportail","webservice","javascript","es6"],"author":"IGNF","license":"CECILL-B","dependencies":{"es6-promise":"^4.2.4","node-fetch":"^2.6.1","xmldom":"^0.1.27"},"devDependencies":{"@babel/core":"^7.12.10","@babel/plugin-transform-template-literals":"^7.12.1","@babel/preset-env":"^7.12.11","babel-loader":"^8.2.2","chai":"^4.1.2","clean-webpack-plugin":"^3.0.0","copy-webpack-plugin":"^5.1.2","eslint":"^7.18.0","eslint-config-standard":"^16.0.2","eslint-loader":"^4.0.2","eslint-plugin-import":"^2.22.1","eslint-plugin-node":"^11.1.0","eslint-plugin-promise":"^4.2.1","eslint-plugin-standard":"^5.0.0","glob":"^7.1.2","handlebars-layouts":"^3.1.4","handlebars-webpack-plugin":"^1.4.1","html-webpack-plugin":"^4.5.1","istanbul-instrumenter-loader":"^3.0.1","jsdoc-webpack-plugin":"^0.3.0","loglevel":"^1.6.1","mocha":"^7.2.0","mocha-loader":"^5.1.5","mocha-webpack":"^2.0.0-beta.0","mochawesome":"^6.2.1","nyc":"^15.1.0","path":"^0.12.7","replace-bundle-webpack-plugin":"^1.0.0","sinon":"^9.2.4","sinon-es6":"0.0.3","speed-measure-webpack-plugin":"^1.4.2","string-template":"^1.0.0","terser-webpack-plugin":"^2.3.8","webpack":"^4.46.0","webpack-cli":"^3.3.12","webpack-dev-server":"^3.11.2","webpack-node-externals":"^2.5.2","webpack-shell-plugin":"^0.5.0"},"bundledDependencies":[],"peerDependencies":{},"optionalDependencies":{}}')},function(t,e,o){var r,n;!function(s,i){"use strict";void 0===(n="function"==typeof(r=function(){var t=function(){},e="undefined"!=typeof window&&void 0!==window.navigator&&/Trident\/|MSIE /.test(window.navigator.userAgent),o=["trace","debug","info","warn","error"];function r(t,e){var o=t[e];if("function"==typeof o.bind)return o.bind(t);try{return Function.prototype.bind.call(o,t)}catch(e){return function(){return Function.prototype.apply.apply(o,[t,arguments])}}}function n(){console.log&&(console.log.apply?console.log.apply(console,arguments):Function.prototype.apply.apply(console.log,[console,arguments])),console.trace&&console.trace()}function s(o){return"debug"===o&&(o="log"),"undefined"!=typeof console&&("trace"===o&&e?n:void 0!==console[o]?r(console,o):void 0!==console.log?r(console,"log"):t)}function i(e,r){for(var n=0;n<o.length;n++){var s=o[n];this[s]=n<e?t:this.methodFactory(s,e,r)}this.log=this.debug}function a(t,e,o){return function(){"undefined"!=typeof console&&(i.call(this,e,o),this[t].apply(this,arguments))}}function l(t,e,o){return s(t)||a.apply(this,arguments)}function c(t,e,r){var n,s=this;e=null==e?"WARN":e;var a="loglevel";function c(){var t;if("undefined"!=typeof window&&a){try{t=window.localStorage[a]}catch(t){}if(void 0===t)try{var e=window.document.cookie,o=e.indexOf(encodeURIComponent(a)+"=");-1!==o&&(t=/^([^;]+)/.exec(e.slice(o))[1])}catch(t){}return void 0===s.levels[t]&&(t=void 0),t}}"string"==typeof t?a+=":"+t:"symbol"==typeof t&&(a=void 0),s.name=t,s.levels={TRACE:0,DEBUG:1,INFO:2,WARN:3,ERROR:4,SILENT:5},s.methodFactory=r||l,s.getLevel=function(){return n},s.setLevel=function(e,r){if("string"==typeof e&&void 0!==s.levels[e.toUpperCase()]&&(e=s.levels[e.toUpperCase()]),!("number"==typeof e&&e>=0&&e<=s.levels.SILENT))throw"log.setLevel() called with invalid level: "+e;if(n=e,!1!==r&&function(t){var e=(o[t]||"silent").toUpperCase();if("undefined"!=typeof window&&a){try{return void(window.localStorage[a]=e)}catch(t){}try{window.document.cookie=encodeURIComponent(a)+"="+e+";"}catch(t){}}}(e),i.call(s,e,t),"undefined"==typeof console&&e<s.levels.SILENT)return"No console available for logging"},s.setDefaultLevel=function(t){e=t,c()||s.setLevel(t,!1)},s.resetLevel=function(){s.setLevel(e,!1),function(){if("undefined"!=typeof window&&a){try{return void window.localStorage.removeItem(a)}catch(t){}try{window.document.cookie=encodeURIComponent(a)+"=; expires=Thu, 01 Jan 1970 00:00:00 UTC"}catch(t){}}}()},s.enableAll=function(t){s.setLevel(s.levels.TRACE,t)},s.disableAll=function(t){s.setLevel(s.levels.SILENT,t)};var u=c();null==u&&(u=e),s.setLevel(u,!1)}var u=new c,p={};u.getLogger=function(t){if("symbol"!=typeof t&&"string"!=typeof t||""===t)throw new TypeError("You must supply a name when creating a logger.");var e=p[t];return e||(e=p[t]=new c(t,u.getLevel(),u.methodFactory)),e};var h="undefined"!=typeof window?window.log:void 0;return u.noConflict=function(){return"undefined"!=typeof window&&window.log===u&&(window.log=h),u},u.getLoggers=function(){return p},u.default=u,u})?r.call(e,o,e,t):r)||(t.exports=n)}()},function(e,o){e.exports=t},function(t,e,o){(function(e,o){
/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.8+1e68dce6
 */var r;r=function(){"use strict";function t(t){return"function"==typeof t}var r=Array.isArray?Array.isArray:function(t){return"[object Array]"===Object.prototype.toString.call(t)},n=0,s=void 0,i=void 0,a=function(t,e){g[n]=t,g[n+1]=e,2===(n+=2)&&(i?i(d):E())},l="undefined"!=typeof window?window:void 0,c=l||{},u=c.MutationObserver||c.WebKitMutationObserver,p="undefined"==typeof self&&void 0!==e&&"[object process]"==={}.toString.call(e),h="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function f(){var t=setTimeout;return function(){return t(d,1)}}var g=new Array(1e3);function d(){for(var t=0;t<n;t+=2)(0,g[t])(g[t+1]),g[t]=void 0,g[t+1]=void 0;n=0}var m,y,v,w,E=void 0;function S(t,e){var o=this,r=new this.constructor(_);void 0===r[b]&&L(r);var n=o._state;if(n){var s=arguments[n-1];a((function(){return I(n,r,s,o._result)}))}else C(o,r,t,e);return r}function R(t){if(t&&"object"==typeof t&&t.constructor===this)return t;var e=new this(_);return P(e,t),e}p?E=function(){return e.nextTick(d)}:u?(y=0,v=new u(d),w=document.createTextNode(""),v.observe(w,{characterData:!0}),E=function(){w.data=y=++y%2}):h?((m=new MessageChannel).port1.onmessage=d,E=function(){return m.port2.postMessage(0)}):E=void 0===l?function(){try{var t=Function("return this")().require("vertx");return void 0!==(s=t.runOnLoop||t.runOnContext)?function(){s(d)}:f()}catch(t){return f()}}():f();var b=Math.random().toString(36).substring(2);function _(){}function T(e,o,r){o.constructor===e.constructor&&r===S&&o.constructor.resolve===R?function(t,e){1===e._state?O(t,e._result):2===e._state?x(t,e._result):C(e,void 0,(function(e){return P(t,e)}),(function(e){return x(t,e)}))}(e,o):void 0===r?O(e,o):t(r)?function(t,e,o){a((function(t){var r=!1,n=function(t,e,o,r){try{t.call(e,o,r)}catch(t){return t}}(o,e,(function(o){r||(r=!0,e!==o?P(t,o):O(t,o))}),(function(e){r||(r=!0,x(t,e))}),t._label);!r&&n&&(r=!0,x(t,n))}),t)}(e,o,r):O(e,o)}function P(t,e){if(t===e)x(t,new TypeError("You cannot resolve a promise with itself"));else if(n=typeof(r=e),null===r||"object"!==n&&"function"!==n)O(t,e);else{var o=void 0;try{o=e.then}catch(e){return void x(t,e)}T(t,e,o)}var r,n}function A(t){t._onerror&&t._onerror(t._result),M(t)}function O(t,e){void 0===t._state&&(t._result=e,t._state=1,0!==t._subscribers.length&&a(M,t))}function x(t,e){void 0===t._state&&(t._state=2,t._result=e,a(A,t))}function C(t,e,o,r){var n=t._subscribers,s=n.length;t._onerror=null,n[s]=e,n[s+1]=o,n[s+2]=r,0===s&&t._state&&a(M,t)}function M(t){var e=t._subscribers,o=t._state;if(0!==e.length){for(var r=void 0,n=void 0,s=t._result,i=0;i<e.length;i+=3)r=e[i],n=e[i+o],r?I(o,r,n,s):n(s);t._subscribers.length=0}}function I(e,o,r,n){var s=t(r),i=void 0,a=void 0,l=!0;if(s){try{i=r(n)}catch(t){l=!1,a=t}if(o===i)return void x(o,new TypeError("A promises callback cannot return that same promise."))}else i=n;void 0!==o._state||(s&&l?P(o,i):!1===l?x(o,a):1===e?O(o,i):2===e&&x(o,i))}var N=0;function L(t){t[b]=N++,t._state=void 0,t._result=void 0,t._subscribers=[]}var k=function(){function t(t,e){this._instanceConstructor=t,this.promise=new t(_),this.promise[b]||L(this.promise),r(e)?(this.length=e.length,this._remaining=e.length,this._result=new Array(this.length),0===this.length?O(this.promise,this._result):(this.length=this.length||0,this._enumerate(e),0===this._remaining&&O(this.promise,this._result))):x(this.promise,new Error("Array Methods must be provided an Array"))}return t.prototype._enumerate=function(t){for(var e=0;void 0===this._state&&e<t.length;e++)this._eachEntry(t[e],e)},t.prototype._eachEntry=function(t,e){var o=this._instanceConstructor,r=o.resolve;if(r===R){var n=void 0,s=void 0,i=!1;try{n=t.then}catch(t){i=!0,s=t}if(n===S&&void 0!==t._state)this._settledAt(t._state,e,t._result);else if("function"!=typeof n)this._remaining--,this._result[e]=t;else if(o===U){var a=new o(_);i?x(a,s):T(a,t,n),this._willSettleAt(a,e)}else this._willSettleAt(new o((function(e){return e(t)})),e)}else this._willSettleAt(r(t),e)},t.prototype._settledAt=function(t,e,o){var r=this.promise;void 0===r._state&&(this._remaining--,2===t?x(r,o):this._result[e]=o),0===this._remaining&&O(r,this._result)},t.prototype._willSettleAt=function(t,e){var o=this;C(t,void 0,(function(t){return o._settledAt(1,e,t)}),(function(t){return o._settledAt(2,e,t)}))},t}(),U=function(){function e(t){this[b]=N++,this._result=this._state=void 0,this._subscribers=[],_!==t&&("function"!=typeof t&&function(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}(),this instanceof e?function(t,e){try{e((function(e){P(t,e)}),(function(e){x(t,e)}))}catch(e){x(t,e)}}(this,t):function(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}())}return e.prototype.catch=function(t){return this.then(null,t)},e.prototype.finally=function(e){var o=this.constructor;return t(e)?this.then((function(t){return o.resolve(e()).then((function(){return t}))}),(function(t){return o.resolve(e()).then((function(){throw t}))})):this.then(e,e)},e}();return U.prototype.then=S,U.all=function(t){return new k(this,t).promise},U.race=function(t){var e=this;return r(t)?new e((function(o,r){for(var n=t.length,s=0;s<n;s++)e.resolve(t[s]).then(o,r)})):new e((function(t,e){return e(new TypeError("You must pass an array to race."))}))},U.resolve=R,U.reject=function(t){var e=new this(_);return x(e,t),e},U._setScheduler=function(t){i=t},U._setAsap=function(t){a=t},U._asap=a,U.polyfill=function(){var t=void 0;if(void 0!==o)t=o;else if("undefined"!=typeof self)t=self;else try{t=Function("return this")()}catch(t){throw new Error("polyfill failed because global object is unavailable in this environment")}var e=t.Promise;if(e){var r=null;try{r=Object.prototype.toString.call(e.resolve())}catch(t){}if("[object Promise]"===r&&!e.cast)return}t.Promise=U},U.Promise=U,U},t.exports=r()}).call(this,o(5),o(6))},function(t,e,o){t.exports=o(8)},function(t,e){var o,r,n=t.exports={};function s(){throw new Error("setTimeout has not been defined")}function i(){throw new Error("clearTimeout has not been defined")}function a(t){if(o===setTimeout)return setTimeout(t,0);if((o===s||!o)&&setTimeout)return o=setTimeout,setTimeout(t,0);try{return o(t,0)}catch(e){try{return o.call(null,t,0)}catch(e){return o.call(this,t,0)}}}!function(){try{o="function"==typeof setTimeout?setTimeout:s}catch(t){o=s}try{r="function"==typeof clearTimeout?clearTimeout:i}catch(t){r=i}}();var l,c=[],u=!1,p=-1;function h(){u&&l&&(u=!1,l.length?c=l.concat(c):p=-1,c.length&&f())}function f(){if(!u){var t=a(h);u=!0;for(var e=c.length;e;){for(l=c,c=[];++p<e;)l&&l[p].run();p=-1,e=c.length}l=null,u=!1,function(t){if(r===clearTimeout)return clearTimeout(t);if((r===i||!r)&&clearTimeout)return r=clearTimeout,clearTimeout(t);try{r(t)}catch(e){try{return r.call(null,t)}catch(e){return r.call(this,t)}}}(t)}}function g(t,e){this.fun=t,this.array=e}function d(){}n.nextTick=function(t){var e=new Array(arguments.length-1);if(arguments.length>1)for(var o=1;o<arguments.length;o++)e[o-1]=arguments[o];c.push(new g(t,e)),1!==c.length||u||a(f)},g.prototype.run=function(){this.fun.apply(null,this.array)},n.title="browser",n.browser=!0,n.env={},n.argv=[],n.version="",n.versions={},n.on=d,n.addListener=d,n.once=d,n.off=d,n.removeListener=d,n.removeAllListeners=d,n.emit=d,n.prependListener=d,n.prependOnceListener=d,n.listeners=function(t){return[]},n.binding=function(t){throw new Error("process.binding is not supported")},n.cwd=function(){return"/"},n.chdir=function(t){throw new Error("process.chdir is not supported")},n.umask=function(){return 0}},function(t,e){var o;o=function(){return this}();try{o=o||new Function("return this")()}catch(t){"object"==typeof window&&(o=window)}t.exports=o},function(t,o){t.exports=e},function(t,e,o){"use strict";o.r(e),o.d(e,"servicesVersion",(function(){return Re})),o.d(e,"servicesDate",(function(){return be}));var r=o(1),n={getLogger:function(t){"true".match(/true/)?r.disableAll():r.enableAll();var e=t||"default";return r.getLogger(e)}},s={PARAM_MISSING:"Parameter(s) '%var%' missing",PARAM_EMPTY:"Parameter(s) '%var%' empty",PARAM_TYPE:"Wrong type(s) for parameter(s) '%var%'",PARAM_FORMAT:"Parameter(s) '%var%' not correctly formatted",PARAM_NOT_SUPPORT:"Value(s) for parameter(s) '%var%' not supported",PARAM_NOT_SUPPORT_NODEJS:"Value(s) for parameter(s) '%var%' not supported to NodeJS",PARAM_UNKNOWN:"Value(s) for parameter(s) '%var%' unknown",SERVICE_REQUEST_BUILD:"An error occurred during the request building of the service",SERVICE_REQUEST_EMPTY:"The request sent to the service is empty",SERVICE_RESPONSE_EXCEPTION:"The service returned an exception : '%var%'",SERVICE_RESPONSE_EXCEPTION_2:"The service returned an exception",SERVICE_RESPONSE_ANALYSE:"An error occurred while parsing the response '%var%' of the service",SERVICE_RESPONSE_ANALYSE_2:"An unknown error occurred while parsing the response",SERVICE_RESPONSE_EMPTY:"The response of the service is empty",SERVICE_RESPONSE_EMPTY_2:"The response from the service could not be analyzed or is empty",SERVICE_RESPONSE_FORMAT:"The format of the service response is not supported (handled format(s) : '%var%')",SERVICE_RESPONSE_FORMAT_2:"The format of the service response is not supported",SERVICE_RESPONSE_FORMAT_3:"No suggestion matching the search",CLASS_CONSTRUCTOR:"'%var%' constructor cannot be called as a function.",getMessage:function(t,e){if(0===Object.keys(arguments).length)return"Message indefined !";var o=Array.prototype.slice.call(arguments),r=o.shift(),n=o,s=this[r];try{s=Array.isArray(n)&&n.length>0?s.replace("%var%",n.join(" - ")):s.replace("%var%","%var% (not specified)")}catch(t){}return s}};function i(t){if(!(this instanceof i))throw new TypeError("ErrorService constructor cannot be called as a function.");var e=t;"string"==typeof t||t instanceof String?(this.message=t,this.status=-1,this.type=i.TYPE_UNKERR):(this.message=e.message||"undefined!?",this.type=e.type,this.status=e.status||-1),this.name="ErrorService",this.stack=(new Error).stack}i.TYPE_SRVERR="SERVICE_ERROR",i.TYPE_USEERR="USAGE_ERROR",i.TYPE_UNKERR="UNKNOWN_ERROR",i.prototype=Object.create(Error.prototype,{constructor:{value:i,writable:!0,configurable:!0}});var a=i,l={normalyzeParameters:function(t){var e=null;if(t){var o=[];for(var r in t)if(t.hasOwnProperty(r)){var n=t[r];n||(n=""),o.push(r+"="+n)}e=o.join("&")}return e},normalyzeUrl:function(t,e,o){var r=t;if(t){var n=t.indexOf("?");-1===n&&(r+="?"),-1!==n&&n!==t.length-1&&(r+="&")}return e&&(r+="string"==typeof e?e:this.normalyzeParameters(e)),o&&(r=encodeURIComponent(r)),r},indent:function(t,e){return new Array((t||0)+1).join("\t")+e}},c=o(3),u=o.n(c);function p(t){return(p="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}var h,f={call:function(t){var e=n.getLogger("XHR");if(e.trace("[XHR::call()]"),u.a.polyfill(),!t.url)throw new Error("missing parameter : url is not defined !");if(!t.method)throw new Error("missing parameter : method is not defined !");t.format||(t.format="text");var o={};switch(o.url=t.url,o.data=t.data?t.data:null,o.method=t.method,o.timeOut=t.timeOut||0,o.scope=t.scope||this,o.proxy=t.proxy||null,o.content=t.content||null,o.headers=t.headers||{referer:"http://localhost"},t.method){case"DELETE":case"GET":break;case"PUT":case"POST":o.content=t.content?t.content:"application/x-www-form-urlencoded",o.headers=t.headers?t.headers:{referer:"http://localhost"};break;case"HEAD":case"OPTIONS":throw new Error("HTTP method not yet supported !");default:throw new Error("HTTP method unknown !")}switch(t.format){case"text":this.__call(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;case"json":this.__callJSON(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;case"xml":this.__callXML(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;default:throw new Error("This output Format is not yet supported !")}},__call:function(t){var e=n.getLogger("XHR");return e.trace("[XHR::__call()]"),new Promise((function(r,n){var s="POST"===t.method||"PUT"===t.method?1:0;t.data&&("object"===p(t.data)&&Object.keys(t.data).length||"string"==typeof t.data&&t.data.length)&&!s&&("Geocode"===t.scope.CLASSNAME||"ReverseGeocode"===t.scope.CLASSNAME?t.url=t.url+t.data:t.url=l.normalyzeUrl(t.url,t.data)),e.trace("URL = ",t.url);var i=null;if("undefined"==typeof window){var a=o(7),c={headers:{Referer:"https://localhost"}};return t.data&&"string"==typeof t.data&&s&&(c={method:t.method,body:t.data,headers:{"Content-Type":t.content,Referer:"https://localhost"}}),a(t.url,c).then((function(t){if(t.ok)r(t.text());else{var e="Errors Occured on Http Request (status : '"+t.statusText+"' | url : '"+t.url+"')",o=t.status;n({message:e,status:o})}})).catch((function(t){n({message:t,status:-1})}))}if(window.XMLHttpRequest){e.trace("XMLHttpRequest"),(i=new XMLHttpRequest).open(t.method,t.url,!0),i.overrideMimeType=t.content;var u=null;t.timeOut>0&&(e.trace("XHR - TimeOut actif !"),u=window.setTimeout((function(){n({message:"TimeOut Occured on Http Request with XMLHttpRequest !",status:-1})}),t.timeOut)),s&&(e.trace("data = ",t.data),i.setRequestHeader("Content-type",t.content)),i.onerror=function(t){console.log(t),n(new Error("Errors Occured on Http Request with XMLHttpRequest !"))},i.ontimeout=function(t){console.log(t),n(new Error("TimeOut Occured on Http Request with XMLHttpRequest !"))},i.onreadystatechange=function(t){if(4===i.readyState)if(200===i.status)window.clearTimeout(u),r(i.response);else{var e="Errors Occured on Http Request (status : '"+t.target.statusText+"' | url : '"+t.target.responseURL+"' | response : '"+t.target.response+"')",o=t.target.status;n({message:e,status:o})}};var h=t.data&&s?t.data:null;i.send(h)}else{if(!window.XDomainRequest)throw new Error("CORS not supported");e.trace("XDomainRequest"),(i=new XDomainRequest).open(t.method,t.url),i.overrideMimeType=t.content,t.timeOut>0&&(i.timeout=t.timeout,e.trace("XHR - TimeOut actif !")),s&&i.setRequestHeader("Content-type",t.content),i.onerror=function(){n(new Error("Errors Occured on Http Request with XMLHttpRequest !"))},i.ontimeout=function(){n(new Error("TimeOut Occured on Http Request with XMLHttpRequest !"))},i.onload=function(t){if(200===i.status)r(i.responseText);else{var e="Errors Occured on Http Request (status : '"+t.target.statusText+"' | url : '"+t.target.responseURL+"')",o=t.target.status;n({message:e,status:o})}};var f=t.data&&s?t.data:null;i.send(f)}}))},__callJSON:function(t){return this.__call(t).then(JSON.parse).catch((function(e){console.log("_callJSON failed on : ",t.url,e)}))},__callXML:function(t){return this.__call(t).then((function(t){var e;"undefined"==typeof window?e=(new(0,o(2).DOMParser)).parseFromString(t,"text/xml"):window.DOMParser?e=(new window.DOMParser).parseFromString(t,"text/xml"):((e=new window.ActiveXObject("Microsoft.XMLDOM")).async=!1,e.loadXML(t));return e})).catch((function(e){console.log("__callXML failed on : ",t.url,e)}))}},g={uuid:(h=Math.floor(Date.now()),function(){return h++}),call:function(t){var e=n.getLogger("JSONP");if(e.trace("[JSONP::call ()]"),!t)throw e.error("missing parameter : options !"),new Error("missing parameter : options !");if(!t.url)throw e.error("missing parameter : options.url !"),new Error("missing parameter : options.url !");if(t.timeOut||(e.info("setting 'options.timeOut' default value"),t.timeOut=0),!t.onResponse)throw e.error("missing parameter : options.onResponse !"),new Error("missing parameter : options.onResponse !");var o="string"==typeof t.callbackSuffix?t.callbackSuffix:this.uuid(),r=!1,s=!1,i=t.url.indexOf("callback=");if(-1!==i){r=!0;var a=t.url.indexOf("&",i);-1===a&&(a=t.url.length);var l=t.url.substring(i+9,a);l&&(s=!0,t.callbackName=l,e.info("setting 'options.callbackName' value ("+t.callbackName+") from 'options.url' parameter"))}if(!r){var c=t.url.indexOf("?");-1===c?t.url=t.url+"?callback=":c===t.url.length?t.url=t.url+"callback=":t.url=t.url+"&callback=",e.info("setting callback default key in 'options.url' : "+t.url)}var u=!!t.callbackName||s;if(s||(t.callbackName||(e.info("setting 'options.callbackName' default value"),t.callbackName="callback",(o||""===o)&&(t.callbackName+=o)),t.url=t.url.replace("callback=","callback="+t.callbackName),e.info("setting callback function name in 'options.url' : "+t.url)),t.onTimeOut||(e.info("setting 'options.onTimeOut' default value"),t.onTimeOut=function(){console.log("TimeOut while invoking url : "+t.url)}),!u){var p=this,h=null;t.timeOut>0&&(h=window.setTimeout((function(){window[t.callbackName]=function(){},t.onTimeOut(),p._deleteScript(o)}),t.timeOut)),window[t.callbackName]=function(e){window.clearTimeout(h),t.onResponse(e),p._deleteScript(o)}}this._createScript(o,t.url)},_createScript:function(t,e){var o,r=document.getElementById("results"+t);(o=document.createElement("script")).setAttribute("type","text/javascript"),o.setAttribute("src",e),o.setAttribute("charset","UTF-8"),o.setAttribute("id","results"+t),o.setAttribute("async","true");var n=document.documentElement||document.getElementsByTagName("head")[0];null===r?n.appendChild(o):n.replaceChild(o,r)},_deleteScript:function(t){var e=document.getElementById("results"+t);if(e){var o=e.parentNode||document.documentElement;if(!o)return;o.removeChild(e)}}},d={send:function(t){var e=t||{method:"GET",protocol:"XHR",timeOut:0,format:null,wrap:!0,nocache:!0,output:"json",callback:null,callbackSuffix:null};if("undefined"!=typeof window||"JSONP"!==t.protocol){if("XHR"===t.protocol||"json"===t.format?e.wrap=!1:"JSONP"===t.protocol&&"xml"===t.format&&(e.wrap=!0),e.callback=null,e.output=e.wrap?"json":null,e.wrap){var o={};o.output=e.output,o.callback=e.callback,delete o.callback,e.url=l.normalyzeUrl(t.url,o)}switch(e.protocol){case"XHR":"GET"===t.method&&t.nocache&&(e.url=l.normalyzeUrl(e.url,{t:(new Date).getTime()})),f.call(e);break;case"JSONP":e.data&&(e.url=l.normalyzeUrl(e.url,e.data)),g.call(e);break;default:throw new Error("protocol not supported (XHR|JSONP) !")}}else console.log("Value (s) for parameter (s) 'protocol=JSONP (instead use XHR)' not supported to NodeJS")}},m={ssl:!0,url:function(t,e){return(!1===m.ssl?"http://":"https://")+"wxs.ign.fr".concat("/",t,e)},Alti:{_key:{"elevation-json":"/alti/rest/elevation.json","elevation-xml":"/alti/rest/elevation.xml","profil-json":"/alti/rest/elevationLine.json","profil-xml":"/alti/rest/elevationLine.xml",wps:"/alti/wps"},url:function(t){return{"elevation-json":m.url(t,this._key["elevation-json"]),"elevation-xml":m.url(t,this._key["elevation-xml"]),"profil-json":m.url(t,this._key["profil-json"]),"profil-xml":m.url(t,this._key["profil-xml"]),wps:m.url(t,this._key.wps)}}},ProcessIsoCurve:{_key:"/geoportail/isochrone/rest/1.0.0/isochrone",url:function(t){return m.url(t,this._key)}},AutoComplete:{_key:"/ols/apis/completion",url:function(t){return m.url(t,this._key)}},ReverseGeocode:{_key:"/geoportail/ols",url:function(t){return m.url(t,this._key)}},AutoConf:{_key:{apiKey:"/autoconf",apiKeys:"/autoconf?keys=%KEYS%",aggregate:"/autoconf/id/"},url:function(t){var e="";if(Array.isArray(t)&&t.length>0){e=t[0];for(var o=1;o<t.length;o++)e+=","+t[o]}return{apiKey:m.url(t,this._key.apiKey),apiKeys:m.url(t[0],this._key.apiKeys).replace("%KEYS%",e),aggregate:m.url(t,this._key.aggregate)}}},Geocode:{_key:"/geoportail/ols",url:function(t){return m.url(t,this._key)}},Route:{_key:"/geoportail/itineraire/rest/1.0.0/route",url:function(t){return m.url(t,this._key)}}},y=m,v=o(0);function w(t){if(!(this instanceof w))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR"));for(var e in this.logger=n.getLogger("CommonService"),this.logger.trace("[Constructeur CommonService (options)]"),this.options={protocol:"XHR",ssl:!0,proxyURL:"",callbackSuffix:null,httpMethod:"GET",timeOut:0,rawResponse:!1,scope:this,onSuccess:function(t){console.log("onSuccess - la reponse est la suivante : ",t)},onFailure:function(t){200!==t.status&&t.status?console.log("onFailure - Erreur (",t.status,") : ",t.message):console.log("onFailure : ",t.message)}},t)t.hasOwnProperty(e)&&(this.options[e]=t[e]);if(!this.options.apiKey&&!this.options.serverUrl)throw new Error(s.getMessage("PARAM_MISSING","apiKey","serverUrl"));if(this.options.rawResponse&&!this.options.onSuccess&&(this.options.onSuccess=function(t){console.log("onSuccess - la réponse brute du service est la suivante : ",t)}),!!(null===this.options.onSuccess||"function"!=typeof this.options.onSuccess))throw new Error(s.getMessage("PARAM_MISSING","onSuccess()"));if(!this.options.serverUrl){y.ssl=this.options.ssl;var o=y[this.CLASSNAME].url(this.options.apiKey);"string"==typeof o?this.options.serverUrl=o:this.logger.trace("URL par defaut à determiner au niveau du composant...")}switch(this.options.httpMethod="string"==typeof t.httpMethod?t.httpMethod.toUpperCase():"GET",this.options.httpMethod){case"POST":case"GET":break;case"PUT":case"DELETE":case"HEAD":case"OPTIONS":throw new Error(s.getMessage("PARAM_NOT_SUPPORT","httpMethod"));default:throw new Error(s.getMessage("PARAM_UNKNOWN","httpMethod"))}switch(this.options.protocol="string"==typeof t.protocol?t.protocol.toUpperCase():"XHR",this.options.protocol){case"JSONP":case"XHR":break;default:throw new Error(s.getMessage("PARAM_UNKNOWN","protocol"))}if("undefined"==typeof window&&"JSONP"===this.options.protocol)throw new Error(s.getMessage("PARAM_NOT_SUPPORT_NODEJS","protocol=JSONP (instead use XHR)"));"JSONP"===this.options.protocol&&(this.options.httpMethod="GET"),this.options.nocache=t.nocache||!1,this.options.outputFormat=null,this.request=null,this.response=null}w.prototype={constructor:w,call:function(){this.logger.trace("CommonService::call ()");var t=this;function e(e){this.logger.trace("CommonService::onBuildRequest : ",e),this.callService.call(t,n,o)}function o(e){this.logger.trace("CommonService::onCallService : ",e),this.analyzeResponse.call(t,n,r)}function r(t){if(this.logger.trace("CommonService::onAnalyzeResponse : ",t),!t)return n.call(this,new a("Analyse de la reponse en échec !?"));this.options.onSuccess.call(this,t)}function n(t){this.logger.trace("CommonService::onError()");var e=t;e instanceof a||(e=new a(t.message)),this.options.onFailure.call(this,e)}(function(){this.logger.trace("CommonService::run ()"),this.buildRequest.call(t,n,e)}).call(t)},buildRequest:function(t,e){this.logger.error("overwritten method !"),t&&t.call(this,"This method must be overwritten !"),e.call(this,"This method must be overwritten !")},callService:function(t,e){var o=null,r=this.request,n=!(!this.options.proxyURL||"XHR"!==this.options.protocol);"Geocode"!==this.CLASSNAME&&"ReverseGeocode"!==this.CLASSNAME&&"AutoComplete"!==this.CLASSNAME&&(this.options.serverUrl=l.normalyzeUrl(this.options.serverUrl,{"gp-access-lib":v.version},!1)),n&&("GET"===this.options.httpMethod&&(o=this.options.proxyURL+l.normalyzeUrl(this.options.serverUrl,this.request,!0),r=null),"POST"===this.options.httpMethod&&(o=this.options.proxyURL+l.normalyzeUrl(this.options.serverUrl,null,!0),r=this.request));var s=this,i={url:o||this.options.serverUrl,method:this.options.httpMethod,protocol:this.options.protocol,timeOut:this.options.timeOut||0,format:this.options.outputFormat,nocache:this.options.nocache||!1,wrap:"XHR"!==this.options.protocol,callbackSuffix:this.options.callbackSuffix,data:r,headers:null,content:this.options.contentType||"application/xml",scope:this.options.scope||this,onResponse:function(o){s.logger.trace("callService::onResponse()");var r=null;if("XHR"===s.options.protocol&&(s.logger.trace("Response XHR",o),r=o),"JSONP"===s.options.protocol){if(s.logger.trace("Response JSON",o),!o)return void t.call(s,new a("Le contenu de la reponse est vide !?"));if(o.http){if(200!==o.http.status)return void t.call(s,new a({status:o.http.status,message:o.http.error,type:a.TYPE_SRVERR}));r=o.xml,s.options.rawResponse&&(r=o)}else r=o}if("function"==typeof s.options.onBeforeParse){var n=s.options.onBeforeParse(r);"string"==typeof n&&(r=n)}s.response=r,e.call(s,r)},onFailure:function(e){s.logger.trace("callService::onFailure()"),e.type=a.TYPE_SRVERR,t.call(s,new a(e))},onTimeOut:function(){s.logger.trace("callService::onTimeOut()"),t.call(s,new a("TimeOut!"))}};d.send(i)},analyzeResponse:function(t,e){this.logger.error("overwritten method !"),t&&t.call(this,"This method must be overwritten !"),e.call(this,"This method must be overwritten !")}};var E=w;function S(t){if(!(this instanceof S))throw new TypeError("AltiRequest constructor cannot be called as a function.");this.logger=n.getLogger(),this.logger.trace("[Constructeur AltiRequest ()]"),this.options=t||{},this.positions=this.options.positions||[],this.delimiter=this.options.delimiter||"|",this.indent=this.options.indent||!1,this.crs=this.options.crs||"CRS:84",this.format=this.options.format||"json"}S.CLASSNAME="AltiRequest",S.prototype={constructor:S,setPositions:function(t){for(var e=[],o=0;o<t.length;o++){var r=t[o];r.lon&&r.lat&&e.push(r)}this.positions=e},getPositions:function(t){if(!t)return this.positions;var e=this.positions.length-1;return t>e||t<e?(this.logger.warn("index out of range !"),this.positions):this.positions[t]},addPositions:function(t){for(var e=0;e<t.length;e++){var o=t[e];o.lon&&o.lat&&this.positions.push(t[e])}},getLon:function(){for(var t=[],e=0;e<this.positions.length;e++)t.push(this.positions[e].lon);return this.logger.trace(t),t.join(this.delimiter)},getLat:function(){for(var t=[],e=0;e<this.positions.length;e++)t.push(this.positions[e].lat);return this.logger.trace(t),t.join(this.delimiter)}},S.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"delimiter",v:this.delimiter}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"format",v:this.format}),t};var R=S;function b(t){if(!(this instanceof b))throw new TypeError("AltiElevationRequest constructor cannot be called as a function.");this.CLASSNAME="AltiElevationRequest",R.apply(this,arguments),this.logger=n.getLogger(),this.logger.trace("[Constructeur AltiElevationRequest ()]"),this.zonly=this.options.zonly||!1}b.prototype=Object.create(R.prototype,{zonly:{get:function(){return this._zonly},set:function(t){this._zonly=t}}}),b.prototype.constructor=b,b.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"zonly",v:this.zonly}),t.push({k:"format",v:this.format}),t};var _=b;function T(t){if(!(this instanceof T))throw new TypeError("AltiProfilRequest constructor cannot be called as a function.");this.CLASSNAME="AltiProfilRequest",R.apply(this,arguments),this.logger=n.getLogger(),this.logger.trace("[Constructeur AltiProfilRequest ()]"),this.sampling=this.options.sampling||3}T.prototype=Object.create(R.prototype,{sampling:{get:function(){return this._sampling},set:function(t){this._sampling=t}}}),T.prototype.constructor=T,T.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"sampling",v:this.sampling}),t.push({k:"format",v:this.format}),t};var P=T;function A(t){if(this.logger=n.getLogger("AltiRequestREST"),this.logger.trace("[Constructeur AltiRequestREST ()]"),!(this instanceof A))throw new TypeError("AltiRequestREST constructor cannot be called as a function.");if(this.options=t||{},!this.options)throw new Error(s.getMessage("PARAM_EMPTY","options"));if(!this.options.type)throw new Error(s.getMessage("PARAM_EMPTY","type (Elevation or Profil)"));switch(this.DataObject=null,this.options.type){case"Elevation":this.DataObject=new _(this.options.param);break;case"Profil":this.DataObject=new P(this.options.param);break;default:throw new Error(s.getMessage("PARAM_TYPE","type (Elevation or Profil)"))}this.method=this.options.method||"GET"}A.prototype={requestString:null,constructor:A,template:{get:{value:"lon=__LON__&lat=__LAT__&indent=__INDENT__&crs='__CRS__'",input:{point:"&zonly=__ZONLY__",profil:"&sampling=__SAMPLING__"}},post:{value:"lon=__LON__\nlat=__LAT__\nindent=__INDENT__\ncrs='__CRS__'\n",input:{point:"zonly=__ZONLY__",profil:"sampling=__SAMPLING__"}}},processRequestString:function(){this.logger.trace("AltiRequestREST::processRequestString ()");var t="";return"POST"===this.method?t=this.template.post.value:"GET"===this.method&&(t=this.template.get.value),t=(t=(t=(t=t.replace(/__LON__/g,this.DataObject.getLon())).replace(/__LAT__/g,this.DataObject.getLat())).replace(/__INDENT__/g,this.DataObject.indent)).replace(/__CRS__/g,this.DataObject.crs),t+=this.__addDataInputs(),this.logger.trace("traduction tmpl",t),this.requestString=t,this.requestString},__addDataInputs:function(){var t;if(this.logger.trace("AltiRequestREST::addDataInput ()"),"POST"===this.method)t=this.template.post;else{if("GET"!==this.method)throw new Error("No other HTTP method supported by the service !");t=this.template.get}if("AltiElevationRequest"===this.DataObject.CLASSNAME)return t.input.point.replace(/__ZONLY__/g,this.DataObject.zonly);if("AltiProfilRequest"===this.DataObject.CLASSNAME)return t.input.profil.replace(/__SAMPLING__/g,this.DataObject.sampling);throw new Error("No other object supported than elevation or profil !?")}};var O=A;function x(t){if(this.logger=n.getLogger(),this.logger.trace("[Constructeur WPS()]"),!(this instanceof x))throw new TypeError("WPS constructor cannot be called as a function.");if(this.options=t||{},this.DataObject=this.options.data,!this.DataObject)throw new TypeError("This data object is not defined !");this.paramservice=this.options.param.service||"WPS",this.paramversion=this.options.param.version||"1.0.0",this.paramidentifier=this.options.param.identifier||"gs:WPS",this.paramrawdataoutput=this.options.param.rawdataoutput||"result",this.paramrequest=this.options.param.request||"Execute",this.method=this.options.method||"GET"}x.prototype={requestString:null,constructor:x,template:{get:{value:"service=__SERVICE__&version=__VERSION__&rawdataoutput=__RAWDATAOUTPUT__&identifier=__IDENTIFIER__&request=__REQUEST__&datainputs=\x3c!-- __DATAINPUTS__ --\x3e",input:"__KEY__=__DATA__"},post:{value:'<?xml version="1.0" encoding="UTF-8"?><wps:__REQUEST__ version="__VERSION__" service="__SERVICE__" __NAMESPACE__ __SCHEMALOCATION__><ows:Identifier>__IDENTIFIER__</ows:Identifier><wps:DataInputs>\x3c!-- __DATAINPUTS__ --\x3e</wps:DataInputs><wps:ResponseForm><wps:RawDataOutput><ows:Identifier>__RAWDATAOUTPUT__</ows:Identifier></wps:RawDataOutput></wps:ResponseForm></wps:__REQUEST__>',input:"<wps:Input><ows:Identifier>__KEY__</ows:Identifier><wps:Data><wps:LiteralData>__DATA__</wps:LiteralData></wps:Data></wps:Input>"}},namespaceByDefault:function(){return['xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"','xmlns="http://www.opengis.net/wps/1.0.0"','xmlns:wfs="http://www.opengis.net/wfs"','xmlns:wps="http://www.opengis.net/wps/1.0.0"','xmlns:ows="http://www.opengis.net/ows/1.1"','xmlns:gml="http://www.opengis.net/gml"','xmlns:ogc="http://www.opengis.net/ogc"','xmlns:wcs="http://www.opengis.net/wcs/1.1.1"','xmlns:xlink="http://www.w3.org/1999/xlink"'].join(" ")},schemaLocationByDefault:function(){return'xsi:schemaLocation="http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsAll.xsd"'},processRequestString:function(){this.logger.trace("WPS::processRequestString ()");var t="";if("POST"===this.method)t=this.template.post.value;else{if("GET"!==this.method)return this.logger.error("No other method supported by the service !"),!1;t=this.template.get.value}return t=(t=(t=(t=(t=t.replace(/__SERVICE__/g,this.paramservice)).replace(/__VERSION__/g,this.paramversion)).replace(/__RAWDATAOUTPUT__/g,this.paramrawdataoutput)).replace(/__IDENTIFIER__/g,this.paramidentifier)).replace(/__REQUEST__/g,this.paramrequest),"POST"===this.method&&(t=(t=t.replace(/__NAMESPACE__/g,this.namespaceByDefault)).replace(/__SCHEMALOCATION__/g,this.schemaLocationByDefault)),(t=t.replace(/<!-- __DATAINPUTS__ -->/g,this.__addDataInputs()))?(this.requestString=t,this.logger.trace("traduction tmpl",t),!0):(this.logger.warn("traduction tmpl : empty request !?"),!1)},__addDataInputs:function(){this.logger.trace("WPS::__addDataInputs ()");for(var t,e="GET"===this.method?this.template.get.input:this.template.post.input,o="GET"===this.method?";":"",r="",n=this,s=this.DataObject.getData(),i=0;i<s.length;i++)t=i,o&&(o=t===s.length-1?"":";"),r=r.concat(n.__addDataInput(e,s[t].k,s[t].v),o);return r},__addDataInput:function(t,e,o){var r=t;return r=(r=r.replace(/__KEY__/g,e)).replace(/__DATA__/g,o)},setMethod:function(t){"GET"===t||"POST"===t?this.method=t:this.logger.warn("support only GET and POST method !")},getMethod:function(){return this.method}};var C=x,M={build:function(t){if(n.getLogger("AltiRequestWPS").trace(["AltiRequestWPS::build()"]),!t)throw new Error(s.getMessage("PARAM_EMPTY","options"));if(!t.type)throw new Error(s.getMessage("PARAM_EMPTY","type (Elevation or Profil)"));var e=null;switch(t.type){case"Elevation":t.wps.identifier="gs:WPSElevation",e=new _(t.param);break;case"Profil":t.wps.identifier="gs:WPSLineElevation",e=new P(t.param);break;default:throw new Error(s.getMessage("PARAM_TYPE","type (Elevation or Profil)"))}var o={data:e,method:t.method,param:t.wps},r=new C(o);if(!r.processRequestString())throw new Error("Enable to process request !");return r.requestString}},I={build:function(t){n.getLogger("AltiRequestFactory").trace(["AltiRequestFactory::build()"]);var e=null,o={type:t.sampling?"Profil":"Elevation",method:t.httpMethod,param:{positions:null,delimiter:null,indent:null,crs:null,format:null,sampling:null,zonly:null}};o.param.positions=t.positions,o.param.format=t.outputFormat,o.param.sampling=t.sampling,o.param.zonly=t.zonly;var r=!(null===t.onError||"function"!=typeof t.onError),s=!(null===t.onSuccess||"function"!=typeof t.onSuccess),i=null;switch(t.api){case"REST":var l=new O(o);if(!l.processRequestString()){if(i="Error in process request (rest) !",r)return void t.onError.call(t.scope,new a(i));throw new Error(i)}e=l.requestString;break;case"WPS":if(o.wps={service:null,version:null,identifier:null,rawdataoutput:null,request:null},!(e=M.build(o))){if(i="Error in process request (wps) !",r)return void t.onError.call(t.scope,new a(i));throw new Error(i)}break;default:if(i="Type of API is not supported by service (REST or WPS) !",r)return void t.onError.call(t.scope,new a(i));throw new Error(i)}return s&&t.onSuccess.call(t.scope,e),e}};function N(t){if(!(this instanceof N))throw new TypeError("XML constructor cannot be called as a function.");this.logger=n.getLogger(),this.logger.trace("[Constructeur XML ()]"),this.xmlString=null,this.xmlDoc=null,this.reader=null,t&&(t.xmlString&&"string"==typeof t.xmlString&&(this.xmlString=t.xmlString,this.xmlDoc=L(t.xmlString)),t.reader&&this.setReader(t.reader))}function L(t){if("undefined"==typeof window)return(new(0,o(2).DOMParser)).parseFromString(t,"text/xml");var e,r,n="Erreur lors du parsing de la réponse du service : XML non conforme";if(window.ActiveXObject){(r=new window.ActiveXObject("Microsoft.XMLDOM")).async=!1,r.loadXML(t);var s=r.parseError;if(s.errorCode)throw s.line&&s.linepos&&(n+="( ligne "+s.line+", colonne "+s.linepos),s.reason&&(n+=":  "+s.reason+")"),new Error(n);return r}if(window.DOMParser){e=new window.DOMParser;try{r=e.parseFromString(t,"text/xml")}catch(t){throw"SyntaxError"===t.message?new Error(n):new Error("Erreur lors du parsing de la réponse du service : "+t.message)}if(r.getElementsByTagName("parsererror").length>0)for(var i=r.getElementsByTagName("parsererror"),a=0;a<i.length;a++){var l=i[a].innerHTML;if(-1===l.indexOf("Huge input lookup"))throw n+="("+l+")",new Error(n)}else if(!r.documentElement)throw new Error(n);return r}throw new Error("Incompatible DOM Parser pour ce navigateur !")}N.prototype={constructor:N,getXMLString:function(){return this.xmlString},setXMLString:function(t){t&&"string"==typeof t&&(this.xmlString=t,this.xmlDoc=L(t))},getReader:function(){return this.reader},setReader:function(t){t&&t.read&&"function"==typeof t.read&&(this.reader=t)},getXMLDoc:function(){return this.xmlDoc},setXMLDoc:function(t){this.xmlDoc=t},parse:function(){if(!this.xmlDoc&&this.xmlString&&(this.xmlDoc=L(this.xmlString)),this.xmlDoc){var t,e=function(t){var e;9===t.nodeType?e=t.documentElement:1===t.nodeType&&(e=t);return e}(this.xmlDoc);return e?(this.reader&&this.reader.read?t=this.reader.read(e):(t={})[e.nodeName]=function t(e){var o={};if(e.attributes.length>0){var r=function(t){if(t.attributes.length>0){for(var e={},o=t.attributes,r=0;r<o.length;r++){var n=o[r];e[n.nodeName]=n.nodeValue}return e}}(e);o.attributes=r}if(e.hasChildNodes())for(var n,s={},i=e.childNodes,a=0;a<i.length;a++)if(3===(n=i[a]).nodeType)o.textContent=n.nodeValue;else if(1===n.nodeType)if(s=t(n),o[n.nodeName]){if(!Array.isArray(o[n.nodeName])){var l=o[n.nodeName];o[n.nodeName]=[],o[n.nodeName].push(l)}o[n.nodeName].push(s)}else o[n.nodeName]=s;return o}(e),t):{}}}};var k=N;function U(){if(!(this instanceof U))throw new TypeError("AltiResponse constructor cannot be called as a function.");this.elevations=[]}U.prototype={constructor:U};var D=U;function q(){if(!(this instanceof q))throw new TypeError("Elevation constructor cannot be called as a function.");this.z=null}q.prototype={constructor:q};var G=q,F={};F.READERS={elevations:function(t){var e=new D;if(t.hasChildNodes())for(var o,r,n=t.childNodes,s=0;s<n.length;s++)o=n[s],F.READERS[o.nodeName]&&(r=F.READERS[o.nodeName](o),e.elevations.push(r));return e},elevation:function(t){var e=new G;if(t.hasChildNodes())for(var o,r=t.childNodes,n=0;n<r.length;n++)o=r[n],F.READERS[o.nodeName]&&F.READERS[o.nodeName](o,e);return e},lat:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : latitude attendue mais absente");e.lat=parseFloat(o.nodeValue)},lon:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : longitude attendue mais absente");e.lon=parseFloat(o.nodeValue)},z:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : altitude attendue mais absente");if(!e)return(e=new G).z=parseFloat(o.nodeValue),e;e.z=parseFloat(o.nodeValue)},acc:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : précision (acc) attendue mais absente");e.acc=parseFloat(o.nodeValue)},exceptionreport:function(t){var e={};if(t.hasChildNodes())for(var o,r=t.childNodes,n=0;n<r.length;n++)"Exception"===(o=r[n]).nodeName&&(e.exceptionReport=F.READERS.exception(o));return e},exception:function(t){var e={},o=t.getAttribute("exceptionCode");o&&(e.exceptionCode=o);var r=t.firstChild;return r&&3===r.nodeType&&(e.exception=r.nodeValue),e},error:function(t){var e={error:{}};if(t.hasChildNodes())for(var o,r=t.childNodes,n=0;n<r.length;n++){var s;1===(o=r[n]).nodeType&&"code"===o.nodeName&&(s=o.firstChild)&&3===s.nodeType&&(e.error.code=s.nodeValue),1===o.nodeType&&"description"===o.nodeName&&(s=o.firstChild)&&3===s.nodeType&&(e.error.description=s.nodeValue)}return e}},F.read=function(t){if("elevations"===t.nodeName)return F.READERS.elevations(t);if("ExceptionReport"===t.nodeName)return F.READERS.exceptionreport(t);if("error"===t.nodeName)return F.READERS.error(t);throw new Error("Erreur lors de la lecture de la réponse : elle n'est pas au format attendu.")};var j=F;function V(t){return(V="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}var X={build:function(t){var e=n.getLogger("AltiResponseFactory");e.trace(["AltiResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{switch(t.outputFormat){case"xml":e.trace("analyze response : xml");try{var r=new k({reader:j});if("string"==typeof t.response?r.setXMLString(t.response):r.setXMLDoc(t.response),!(o=r.parse()))throw new Error(s.getMessage("SERVICE_RESPONSE_EXCEPTION_2"))}catch(e){var i=e.message;return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",i),status:200,type:a.TYPE_SRVERR}))}break;case"json":e.trace("analyze response : json"),e.trace("analyze response : ",V(t.response));var l=null;if((l="string"==typeof t.response?JSON.parse(t.response):t.response)&&l.error)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",l.error.description),status:200,type:a.TYPE_SRVERR}));if(l){var c,u=l.elevations,p=new D;if(Array.isArray(u)&&u.length)for(var h=0;h<u.length;h++)c=new G,"object"===V(u[h])?(u[h].lon&&(c.lon=u[h].lon),u[h].lat&&(c.lat=u[h].lat),u[h].z&&(c.z=u[h].z),u[h].acc&&(c.acc=u[h].acc)):"number"==typeof u[h]&&(c.z=u[h]),Array.isArray(p.elevations)&&p.elevations.push(c);o=p}if(!o)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_ANALYSE_2"),type:a.TYPE_UNKERR,status:-1}));break;default:return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_FORMAT_2"),type:a.TYPE_UNKERR,status:-1}))}if(o.exceptionReport)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:a.TYPE_SRVERR,status:200}));if(o.error){var f=o.error.description;return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",f),type:a.TYPE_SRVERR,status:200}))}}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))}};function Y(t){if(!(this instanceof Y))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","Alti"));if(this.CLASSNAME="Alti",E.apply(this,arguments),this.logger=n.getLogger("Gp.Services.Alti"),this.logger.trace("[Constructeur Alti (options)]"),!t.positions)throw new Error(s.getMessage("PARAM_MISSING","positions"));if(0===t.positions.length)throw new Error(s.getMessage("PARAM_EMPTY","positions"));if(this.options.positions=t.positions,this.options.outputFormat="string"==typeof t.outputFormat?t.outputFormat.toLowerCase():"xml",this.options.sampling=t.sampling||null,this.options.api="string"==typeof t.api?t.api.toUpperCase():"REST","REST"===this.options.api&&(this.options.httpMethod="GET"),this.options.zonly=t.zonly||!1,!this.options.serverUrl){var e=y.Alti.url(this.options.apiKey),o=null;switch(this.options.api){case"WPS":o=e.wps;break;case"REST":var r=(t.sampling?"profil":"elevation")+"-"+this.options.outputFormat;o=e[r];break;default:throw new Error(s.getMessage("PARAM_UNKNOWN","api"))}if(!o)throw new Error("Url by default not found !");this.options.serverUrl=o,this.logger.trace("Server URL by default : "+this.options.serverUrl)}var i=this.options.serverUrl.lastIndexOf(".");if(-1!==i){var a=this.options.serverUrl.substring(i+1);if(a&&a.length<5)switch(this.logger.trace("Server Extension URL : "+a),a.toLowerCase()){case"json":case"xml":this.options.outputFormat=a.toLowerCase();break;default:throw new Error("type of service : unknown or unsupported (json or xml) !")}}}Y.prototype=Object.create(E.prototype,{}),Y.prototype.constructor=Y,Y.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,onSuccess:function(t){this.request=t,e.call(this,this.request)},onError:t,scope:this,positions:this.options.positions,outputFormat:this.options.outputFormat,sampling:this.options.sampling,api:this.options.api,zonly:this.options.zonly};I.build(o)},Y.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};X.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var H=Y;function z(){if(!(this instanceof z))throw new TypeError("AutoConfResponse constructor cannot be called as a function.");this.generalOptions={apiKeys:{},title:null,defaultGMLGFIStyle:null,theme:null,wgs84Resolutions:[]},this.layers={},this.territories={},this.tileMatrixSets={},this.services={}}z.prototype={constructor:z,isConfLoaded:function(t){if(t)return!!this.generalOptions.apiKeys[t]},getLayersId:function(t){return this.generalOptions.apiKeys[t]},getLayersConf:function(t){var e={},o=this.getLayersId(t);if(o)for(var r=0;r<o.length;r++){var n=o[r];e[n]=this.layers[n]}return e},getLayerConf:function(t){if(this.layers)return this.layers[t]},getTileMatrixSets:function(){return this.tileMatrixSets},getTMSConf:function(t){if(this.tileMatrixSets)return this.tileMatrixSets[t]},getTerritories:function(){return this.territories},getTerritoryConf:function(t){if(this.territories)return this.territories[t]},getServices:function(){return this.services},getServiceConf:function(t){if(this.services)return this.services[t]}};var K=z;function W(){if(!(this instanceof W))throw new TypeError("Constraint constructor cannot be called as a function.");this.crs=null,this.bbox={left:null,right:null,top:null,bottom:null},this.minScaleDenominator=null,this.maxScaleDenominator=null,this.temporalExtent=[null,null]}W.prototype={constructor:W};var J=W;function B(){if(!(this instanceof B))throw new TypeError("Format constructor cannot be called as a function.");this.current=null,this.name=null}B.prototype={constructor:B};var Q=B;function Z(){if(!(this instanceof Z))throw new TypeError("Layer constructor cannot be called as a function.")}Z.prototype={constructor:Z,getName:function(){return this.name},getTitle:function(){return this.title},getDescription:function(){return this.description},getLayerId:function(){return this.layerId},getQuicklookUrl:function(){return this.quicklookUrl},getDefaultProjection:function(){return this.defaultProjection},getProjections:function(){var t=[];return t.push(this.defaultProjection),t.concat(this.additionalProjections)},getBBOX:function(){if(this.globalConstraint)return this.globalConstraint.bbox},getMinScaleDenominator:function(){if(this.globalConstraint)return this.globalConstraint.minScaleDenominator},getMaxScaleDenominator:function(){if(this.globalConstraint)return this.globalConstraint.maxScaleDenominator},getTMSID:function(){if(this.wmtsOptions)return this.wmtsOptions.tileMatrixSetLink},getServiceParams:function(){return this.serviceParams},getServerUrl:function(t){if(t&&this.serviceParams&&this.serviceParams.serverUrl)return this.serviceParams.serverUrl[t]},getLegends:function(){return this.legends},getMetadata:function(){return this.metadata},getStyles:function(){return this.styles},getDefaultStyle:function(){if(this.styles){for(var t,e=this.styles,o=0;o<e.length;o++)if(!0===e[o].current){t=e[o].name;break}return t}},getThematics:function(){return this.thematics},getDefaultFormat:function(){if(this.formats){for(var t,e=this.formats,o=0;o<e.length;o++)if(!0===e[o].current){t=e[o].name;break}return t}},getConstraints:function(){return this.constraints},getOriginators:function(){return this.originators},getDimensions:function(){return this.dimensions},getAggregatedLayers:function(){if(this.isAggregate)return this.aggregatedLayers}};var $=Z;function tt(){if(!(this instanceof tt))throw new TypeError("Legend constructor cannot be called as a function.");this.format=null,this.url=null,this.minScaleDenominator=null}tt.prototype={constructor:tt};var et=tt;function ot(){if(!(this instanceof ot))throw new TypeError("Metadata constructor cannot be called as a function.");this.format=null,this.url=null}ot.prototype={constructor:ot};var rt=ot;function nt(){if(!(this instanceof nt))throw new TypeError("Originator constructor cannot be called as a function.");this.name=null,this.attribution=null,this.logo=null,this.url=null,this.constraints=[]}nt.prototype={constructor:nt};var st=nt;function it(){if(!(this instanceof it))throw new TypeError("Service constructor cannot be called as a function.");this.title=null,this.serverUrl=null,this.version=null}it.prototype={constructor:it};var at=it;function lt(){if(!(this instanceof lt))throw new TypeError("Style constructor cannot be called as a function.");this.name=null,this.title=null,this.current=null,this.url=null}lt.prototype={constructor:lt};var ct=lt;function ut(){if(!(this instanceof ut))throw new TypeError("Territory constructor cannot be called as a function.");this.isDefault=null,this.defaultCRS=null,this.additionalCRS=[],this.geoBBOX={left:null,right:null,top:null,bottom:null},this.geoCenter={lon:null,lat:null},this.defaultOptions={resolution:null,minScaleDenominator:null,maxScaleDenominator:null},this.defaultLayers=[]}ut.prototype={constructor:ut};var pt=ut;function ht(){if(!(this instanceof ht))throw new TypeError("Thematic constructor cannot be called as a function.");this.inspire=null,this.name=null}ht.prototype={constructor:ht};var ft=ht;function gt(){if(!(this instanceof gt))throw new TypeError("TileMatrixSet constructor cannot be called as a function.");this.projection=null,this.nativeResolutions=[],this.matrixIds=[],this.tileMatrices={}}gt.prototype={constructor:gt,getResolutions:function(){return this.nativeResolutions},getMatrixIds:function(){return this.matrixIds},getProjection:function(){return this.projection},getTileMatrices:function(){return this.tileMatrices},getTopLeftCorner:function(){var t,e=this.getTileMatrices();if(e)for(var o in e)if(e.hasOwnProperty(o)){t=e[o].topLeftCorner;break}return t}};var dt=gt;function mt(){if(!(this instanceof mt))throw new TypeError("TileMatrix constructor cannot be called as a function.");this.matrixId=null,this.matrixHeight=null,this.matrixWidth=null,this.scaleDenominator=null,this.tileHeight=null,this.tileWidth=null,this.topLeftCorner=null}mt.prototype={constructor:mt,getTopLeftCorner:function(){return this.topLeftCorner},getScaleDenominator:function(){return this.scaleDenominator},getTileHeight:function(){return this.tileHeight},getTileWidth:function(){return this.tileWidth},getMatrixHeight:function(){return this.matrixHeight},getMatrixWidth:function(){return this.matrixWidth}};var yt=mt;function vt(){if(!(this instanceof vt))throw new TypeError("TileMatrixLimit constructor cannot be called as a function.");this.minTileRow=null,this.maxTileRow=null,this.minTileCol=null,this.maxTileCol=null}vt.prototype={constructor:vt};var wt=vt;function Et(t){return(Et="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}var St={};function Rt(t,e){if(t.hasChildNodes())for(var o,r,n,s=t.childNodes,i=0;i<s.length;i++){if(1===(o=s[i]).nodeType)if(r=o.localName||o.baseName||o.nodeName,n=o.prefix||St.DEFAULTPREFIX,St.READERS[n][r])(0,St.READERS[n][r])(o,e);else Rt(o,e)}}function bt(t){var e,o="";return t.hasChildNodes()&&(3!==(e=t.firstChild).nodeType&&4!==e.nodeType||(o=e.nodeValue)),o}St.VERSION="1.1.0",St.NAMESPACES={xmlns:"http://www.opengis.net/context",gpp:"http://api.ign.fr/geoportail",ows:"http://www.opengis.net/ows/2.0",sld:"http://www.opengis.net/sld",wmts:"http://www.opengis.net/wmts/1.0",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},St.SCHEMALOCATION=["http://www.opengis.net/context http://wxs.ign.fr/schemas/extContext.xsd http://api.ign.fr/geoportail http://wxs.ign.fr/schemas/autoconf/autoconf.xsd","http://www.opengis.net/context http://wxs.ign.fr/schemas/extContext.xsd http://api.ign.fr/geoportail http://wxs.ign.fr/schemas/autoconf.xsd"],St.DEFAULTPREFIX="context",St.READERS={context:{ViewContext:function(t){!function(t){if(t.attributes.length>0){var e=function(t){if(t.attributes.length>0){for(var e={},o=t.attributes,r=0;r<o.length;r++){var n=o[r];e[n.nodeName]=n.nodeValue}return e}}(t);for(var o in e)if(e.hasOwnProperty(o)){if("version"===o&&e.version!==St.VERSION)return void console.log("[AutoConfResponseReader] autoconf version is not the expected one : there may be errors in parsing");if("xmlns"===o){if(e[o]!==St.NAMESPACES.xmlns)return void console.log("[AutoConfResponseReader] autoconf response default namespace is not the expected one");continue}var r=o.split(":")[0],n=o.split(":")[1];if("xmlns"===r&&n&&St.NAMESPACES[n]&&St.NAMESPACES[n]!==e[o])return void console.log("[AutoConfResponseReader] autoconf response "+o+" namespace is not the expected one");if("schemaLocation"===n&&e[o]!==St.SCHEMALOCATION[0]&&e[o]!==St.SCHEMALOCATION[1])return void console.log("[AutoConfResponseReader] autoconf response schema location is not the expected one")}}}(t);var e=new K;return Rt(t,e),e},Title:function(t,e){e&&e.generalOptions?e.generalOptions.title=bt(t):e&&e.lyr&&(e.lyr.title=bt(t))},Abstract:function(t,e){e&&e.lyr&&(e.lyr.description=bt(t))},Server:function(t,e){var o=t.getAttribute("service"),r=t.getAttribute("title"),n=t.getAttribute("version");if(o)if(e&&e.services&&"object"===Et(e.services)&&!e.services[o]){var s=new at;s.title=r,s.version=n,Rt(t,s),e.services[o]=s}else e&&e.lyr&&(e.lyr.serviceParams||(e.lyr.serviceParams={}),e.lyr.serviceParams.id=o,e.lyr.serviceParams.version=n)},OnlineResource:function(t,e){e&&e.hasOwnProperty("serverUrl")&&(e.serverUrl=t.getAttribute("xlink:href"))},LayerList:function(t,e){if(Rt(t,e),e&&e.layers&&e.generalOptions&&e.services)for(var o in e.layers)if(e.layers.hasOwnProperty(o)){var r=e.layers[o],n=r.apiKeys;if(n&&Array.isArray(n))for(var s=0;s<n.length;s++){var i=n[s];e.generalOptions.apiKeys&&(e.generalOptions.apiKeys[i]&&Array.isArray(e.generalOptions.apiKeys[i])||(e.generalOptions.apiKeys[i]=[]),e.generalOptions.apiKeys[i].push(o))}var a=r.serviceParams;if(a&&a.id&&!e.services[a.id]){var l=new at;a.serverUrl&&(l.serverUrl=a.serverUrl),a.version&&(l.version=a.version),e.services[a.id]=l}if(r.wmtsOptions&&r.wmtsOptions.tileMatrixSetLink&&e.tileMatrixSets){var c=r.wmtsOptions.tileMatrixSetLink,u=e.tileMatrixSets;for(var p in u)u.hasOwnProperty(p)&&p===c&&(r.defaultProjection=u[p].projection)}}},Layer:function(t,e){if(e&&e.layers){var o={lyr:new $,lyrId:null},r=t.getAttribute("hidden");o.lyr.hidden="1"===r;var n=t.getAttribute("queryable");if(o.lyr.queryable="1"===n,Rt(t,o),o.lyrId){if(o.lyr.serviceParams&&o.lyr.serviceParams.id){var s=o.lyr.serviceParams.id;if(-1!==s.toUpperCase().indexOf("OPENLS")||-1!==s.toUpperCase().indexOf("ELEVATION")){var i=o.lyrId.split("$")[0];o.lyrId=i+"$"+s}}o.lyr.layerId=o.lyrId,e.layers[o.lyrId]=o.lyr}}},Name:function(t,e){e&&e.lyr&&(e.lyr.name=bt(t))},SRS:function(t,e){e&&e.lyr&&(e.lyr.defaultProjection=bt(t))},Format:function(t,e){if(e&&e.lyr){var o=new Q,r=t.getAttribute("current");o.current="1"===r,o.name=bt(t),e.lyr.formats&&Array.isArray(e.lyr.formats)||(e.lyr.formats=[]),e.lyr.formats.push(o)}},Style:function(t,e){if(e&&e.lyr){var o=new ct,r=t.getAttribute("current");if(o.current="1"===r||1===r,t.hasChildNodes)for(var n,s,i=t.childNodes,a=0;a<i.length;a++)1===(n=i[a]).nodeType&&("Name"===(s=n.localName||n.baseName||n.nodeName)?o.name=bt(n):"Title"===s?o.title=bt(n):"URL"===s&&(o.url=bt(n)));e.lyr.styles&&Array.isArray(e.lyr.styles)||(e.lyr.styles=[]),e.lyr.styles.push(o)}},Dimension:function(t,e){var o=t.getAttribute("name"),r=bt(t);e&&e.lyr&&(e.lyr.dimensions||(e.lyr.dimensions={}),"Type"===o?e.lyr.dimensions.type=r:"VisibilityRange"===o?e.lyr.dimensions.visibilityRange=r:"VisibilityMode "===o?e.lyr.dimensions.visibilityMode=r:"GeometricType"===o?e.lyr.dimensions.geometricType=r:"NoDataValue"===o&&(e.lyr.dimensions.noDataValue=r))}},gpp:{Theme:function(t,e){e&&e.generalOptions&&e.generalOptions.hasOwnProperty("theme")&&(e.generalOptions.theme=bt(t))},defaultGMLGFIStyleUrl:function(t,e){e&&e.generalOptions&&e.generalOptions.hasOwnProperty("defaultGMLGFIStyle")&&(e.generalOptions.defaultGMLGFIStyle=bt(t))},Territory:function(t,e){var o=t.getAttribute("id");if(o){var r=new pt,n=t.getAttribute("default");r.isDefault="1"===n,Rt(t,r),e&&e.territories&&"object"===Et(e.territories)&&(e.territories[o]=r)}},defaultCRS:function(t,e){e&&e.hasOwnProperty("defaultCRS")&&(e.defaultCRS=bt(t))},AdditionalCRS:function(t,e){var o=bt(t);o&&e&&(Array.isArray(e.additionalCRS)?e.additionalCRS.push(o):(e.additionalProjections&&Array.isArray(e.additionalProjections)||(e.additionalProjections=[]),e.additionalProjections.push(o)))},DefaultLayer:function(t,e){var o=t.getAttribute("layerId");o&&e&&Array.isArray(e.defaultLayers)&&e.defaultLayers.push(o)},BoundingBox:function(t,e){if(e){var o=bt(t).split(",");if(4===o.length){var r={left:parseFloat(o[0]),right:parseFloat(o[2]),top:parseFloat(o[3]),bottom:parseFloat(o[1])},n=t.getAttribute("minT"),s=t.getAttribute("maxT");if(e.hasOwnProperty("geoBBOX"))e.geoBBOX=r;else if(e.hasOwnProperty("bbox"))if(e.bbox.left||e.bbox.right||e.bbox.top||e.bbox.bottom){e.multiConstraints||(e.multiConstraints=[]);var i=new J;i.bbox=r,i.temporalExtent=[n,s],e.multiConstraints.push(i)}else e.bbox=r,e.temporalExtent=[n,s];else e.globalConstraint||(e.globalConstraint=new J),e.globalConstraint.bbox=r,e.globalConstraint.temporalExtent=[n,s]}}},Resolution:function(t,e){var o=bt(t);o&&e&&e.defaultOptions&&e.defaultOptions.hasOwnProperty("resolution")&&(e.defaultOptions.resolution=parseFloat(o))},x:function(t,e){var o=bt(t);o&&e&&e.geoCenter&&e.geoCenter.hasOwnProperty("lon")&&(e.geoCenter.lon=parseFloat(o))},y:function(t,e){var o=bt(t);o&&e&&e.geoCenter&&e.geoCenter.hasOwnProperty("lat")&&(e.geoCenter.lat=parseFloat(o))},Resolutions:function(t,e){e&&e.generalOptions&&e.generalOptions.hasOwnProperty("wgs84Resolutions")&&(e.generalOptions.wgs84Resolutions=bt(t).split(","))},Layer:function(t,e){if(e&&e.hasOwnProperty("lyrId")&&e.lyr){e.lyrId=t.getAttribute("id");var o=t.getAttribute("aggregate"),r=t.getAttribute("more");(o||r)&&(e.lyr.isAggregate=!0),Rt(t,e.lyr)}},Constraint:function(t,e){var o=new J;if(Rt(t,o),e)if(e.constraints&&Array.isArray(e.constraints)||(e.constraints=[]),o.multiConstraints&&Array.isArray(o.multiConstraints)){var r=new J;r.crs=o.crs,r.bbox=o.bbox,r.minScaleDenominator=o.minScaleDenominator,r.maxScaleDenominator=o.maxScaleDenominator,r.temporalExtent=o.temporalExtent,e.constraints.push(r);for(var n=0;n<o.multiConstraints.length;n++)(r=new J).crs=o.crs,r.minScaleDenominator=o.minScaleDenominator,r.maxScaleDenominator=o.maxScaleDenominator,r.bbox=o.multiConstraints[n].bbox,r.temporalExtent=o.multiConstraints[n].temporalExtent,e.constraints.push(r)}else e.constraints.push(o)},CRS:function(t,e){e&&e.hasOwnProperty("crs")&&(e.crs=bt(t))},Thematic:function(t,e){if(e){var o=new ft;o.inspire=!1,o.name=bt(t),e.thematics&&Array.isArray(e.thematics)||(e.thematics=[]),e.thematics.push(o)}},InspireThematic:function(t,e){if(e){var o=new ft;o.inspire=!0,o.name=bt(t),e.thematics&&Array.isArray(e.thematics)||(e.thematics=[]),e.thematics.push(o)}},Originator:function(t,e){if(e){var o=new st;o.name=t.getAttribute("name"),Rt(t,o),e.originators&&Array.isArray(e.originators)||(e.originators=[]),e.originators.push(o)}},Attribution:function(t,e){e&&e.hasOwnProperty("attribution")&&(e.attribution=bt(t))},Logo:function(t,e){e&&e.hasOwnProperty("logo")&&(e.logo=bt(t))},URL:function(t,e){e&&e.hasOwnProperty("url")&&(e.url=bt(t))},Legend:function(t,e){var o=new et;Rt(t,o),e&&(e.legends&&Array.isArray(e.legends)||(e.legends=[]),e.legends.push(o))},LegendURL:function(t,e){if(e&&e.hasOwnProperty("format")&&(e.format=t.getAttribute("format"),t.hasChildNodes)){var o=t.childNodes[0];"OnlineResource"===(o.localName||o.baseName||o.nodeName)&&e.hasOwnProperty("url")&&(e.url=o.getAttribute("xlink:href"))}},QuickLook:function(t,e){if(t.hasChildNodes){var o=t.childNodes[0];"OnlineResource"===(o.localName||o.baseName||o.nodeName)&&e&&(e.quicklookUrl=o.getAttribute("xlink:href"))}},MetadataURL:function(t,e){if(e){var o=new rt;if(o.format=t.getAttribute("format"),t.hasChildNodes){var r=t.childNodes[0];"OnlineResource"===(r.localName||r.baseName||r.nodeName)&&(o.url=r.getAttribute("xlink:href"))}e.metadata||(e.metadata=[]),e.metadata.push(o)}},Key:function(t,e){if(e){var o=t.getAttribute("id");e.apiKeys&&Array.isArray(e.apiKeys)||(e.apiKeys=[]),e.apiKeys.push(o);var r=bt(t);e.serviceParams||(e.serviceParams={}),e.serviceParams.serverUrl||(e.serviceParams.serverUrl={}),e.serviceParams.serverUrl[o]||(e.serviceParams.serverUrl[o]=r)}}},ows:{Identifier:function(t,e){e&&e.hasOwnProperty("TMS")?e.identifier=bt(t):e&&e.hasOwnProperty("matrixId")&&(e.matrixId=bt(t))},SupportedCRS:function(t,e){e&&e.TMS&&e.TMS.hasOwnProperty("projection")&&(e.TMS.projection=bt(t))}},sld:{MinScaleDenominator:function(t,e){var o=bt(t);o&&e&&(e.hasOwnProperty("defaultOptions")?e.defaultOptions.minScaleDenominator=parseFloat(o):e.lyr?(e.lyr.globalConstraint||(e.lyr.globalConstraint=new J),e.lyr.globalConstraint.minScaleDenominator=parseFloat(o)):e.hasOwnProperty("minScaleDenominator")&&(e.minScaleDenominator=parseFloat(o)))},MaxScaleDenominator:function(t,e){var o=bt(t);o&&e&&(e.hasOwnProperty("defaultOptions")?e.defaultOptions.maxScaleDenominator=parseFloat(o):e.lyr?(e.lyr.globalConstraint||(e.lyr.globalConstraint=new J),e.lyr.globalConstraint.maxScaleDenominator=parseFloat(o)):e.hasOwnProperty("maxScaleDenominator")&&(e.maxScaleDenominator=parseFloat(o)))}},wmts:{TileMatrixSetLimits:function(t,e){if(e){var o={};Rt(t,o),e.wmtsOptions||(e.wmtsOptions={}),e.wmtsOptions.tileMatrixSetLimits=o}},TileMatrixLimits:function(t,e){var o,r=new wt;if(t.hasChildNodes){for(var n=t.childNodes,s=0;s<n.length;s++){var i=n[s],a=i.localName||i.baseName||i.nodeName;"TileMatrix"===a?o=bt(i):"MinTileRow"===a?r.minTileRow=bt(i):"MaxTileRow"===a?r.maxTileRow=bt(i):"MinTileCol"===a?r.minTileCol=bt(i):"MaxTileCol"===a&&(r.maxTileCol=bt(i))}o&&e&&!e[o]&&(e[o]=r)}},TileMatrixSet:function(t,e){if(e&&e.tileMatrixSets){var o={};o.TMS=new dt,o.resolutions=[],Rt(t,o);var r=o.TMS.tileMatrices;for(var n in r)r.hasOwnProperty(n)&&o.TMS.matrixIds.push(n);if(("IGNF:WGS84G"===o.TMS.getProjection()||"EPSG:4326"===o.TMS.getProjection())&&e.generalOptions&&Array.isArray(e.generalOptions.wgs84Resolutions))for(var s=e.generalOptions.wgs84Resolutions,i=0;i<s.length;i++)o.resolutions[i]=parseFloat(s[i]);Array.isArray(o.resolutions)&&void 0!==o.resolutions.sort&&o.resolutions.sort((function(t,e){return e-t})),o.TMS.nativeResolutions=o.resolutions,e.tileMatrixSets[o.identifier]=o.TMS}else e&&!e.wmtsOptions&&(e.wmtsOptions={}),e.wmtsOptions.tileMatrixSetLink=bt(t)},TileMatrix:function(t,e){if(e){var o=new yt;if(Rt(t,o),e.TMS&&e.TMS.getProjection()){var r=e.TMS.getProjection();if("EPSG:3857"===r||"EPSG:2154"===r){var n=28e-5*o.scaleDenominator;e.resolutions&&Array.isArray(e.resolutions)&&e.resolutions.push(n)}}e.TMS&&e.TMS.tileMatrices&&(e.TMS.tileMatrices[o.matrixId]=o)}},ScaleDenominator:function(t,e){var o=bt(t);o&&e&&e.hasOwnProperty("scaleDenominator")&&(e.scaleDenominator=parseFloat(o))},TopLeftCorner:function(t,e){var o=bt(t).split(" ");o&&e&&(e.topLeftCorner={},e.topLeftCorner.x=parseFloat(o[0]),e.topLeftCorner.y=parseFloat(o[1]))},TileWidth:function(t,e){var o=bt(t);o&&e&&e.hasOwnProperty("tileWidth")&&(e.tileWidth=parseInt(o,10))},TileHeight:function(t,e){var o=bt(t);o&&e&&e.hasOwnProperty("tileHeight")&&(e.tileHeight=parseInt(o,10))},MatrixWidth:function(t,e){var o=bt(t);o&&e&&e.hasOwnProperty("matrixWidth")&&(e.matrixWidth=parseInt(o,10))},MatrixHeight:function(t,e){var o=bt(t);o&&e&&e.hasOwnProperty("matrixHeight")&&(e.matrixHeight=parseInt(o,10))}},serviceException:function(t){var e={};if(t.hasChildNodes())for(var o,r=t.childNodes,n=0;n<r.length;n++)"exception"===(o=r[n]).nodeName&&(e.exceptionReport=St.READERS.exception(o));return e},exception:function(t){var e={},o=t.getAttribute("code");o&&(e.exceptionCode=o);var r=t.firstChild;return r&&3===r.nodeType&&(e.exception=r.nodeValue),e}},St.read=function(t){if("ViewContext"===t.nodeName){var e=t.prefix||St.DEFAULTPREFIX;return St.READERS[e][t.nodeName](t)}if("serviceException"===t.nodeName)return St.READERS[t.nodeName](t);throw new Error("Erreur lors de la lecture de la réponse : elle n'est pas au format attendu.")};var _t=St,Tt={build:function(t){n.getLogger("AutoConfResponseFactory").trace(["AutoConfResponseFactory::build()"]);var e=null;if(t.response){if(t.rawResponse)e=t.response;else{try{var o=new k({reader:_t});"string"==typeof t.response?o.setXMLString(t.response):o.setXMLDoc(t.response),e=o.parse()}catch(e){var r=e.message;return"string"==typeof t.response?r+="\n (raw response service'"+t.response+"')":r+="\n (raw response service'"+t.response.documentElement.innerHTML+"')",void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",r),status:200,type:a.TYPE_SRVERR}))}var i=!0;for(var l in e)e.hasOwnProperty(l)&&(i=!1);if(i)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY_2")));if(e.exceptionReport)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",e.exceptionReport),type:a.TYPE_SRVERR,status:200}))}var c="undefined"!=typeof window?window:{};c.Gp||(c.Gp={}),c.Gp.Config?this.mergeConfig(c.Gp.Config,e,t.layerId):c.Gp.Config=e,t.onSuccess.call(t.scope,c.Gp.Config)}else t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))},mergeConfig:function(t,e,o){if(e&&t){for(var r in e)if(e.hasOwnProperty(r))if("generalOptions"===r)for(var n in e[r].apiKeys)e[r].apiKeys.hasOwnProperty(n)&&!t.generalOptions.apiKeys[n]&&(t.generalOptions.apiKeys[n]=e[r].apiKeys[n]);else if(t[r])for(var s in e[r])e[r].hasOwnProperty(s)&&!t[r][s]&&(t[r][s]=e[r][s]);if(o){var i=[];for(var a in e.layers)e.layers.hasOwnProperty(a)&&i.push(a);t.layers[o]&&(t.layers[o].aggregatedLayers=i)}}}};function Pt(t){if(!(this instanceof Pt))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","AutoConf"));if(this.CLASSNAME="AutoConf",t||(t={}),t.protocol=t.protocol||"JSONP",E.apply(this,arguments),this.logger=n.getLogger("Gp.Services.AutoConf"),this.logger.trace("[Constructeur AutoConf (options)]"),("string"==typeof this.options.apiKey||this.options.apiKey instanceof String)&&Array.isArray(this.options.apiKey.split(","))&&this.options.apiKey.split(",").length>1&&(this.options.apiKey=this.options.apiKey.split(",")),!this.options.serverUrl&&!this.options.serverUrl){var e=y.AutoConf.url(this.options.apiKey);this.options.layerId?this.options.serverUrl=e.aggregate+this.options.layerId:Array.isArray(this.options.apiKey)&&this.options.apiKey.length>0?this.options.serverUrl=e.apiKeys:this.options.serverUrl=e.apiKey}"XHR"===this.options.protocol&&"POST"===this.options.httpMethod&&(this.logger.warn("Le service ne gére pas le mode d'interrogation en POST, on bascule sur du GET !"),this.options.httpMethod="GET"),this.options.outputFormat=this.options.rawResponse?"":"xml"}Pt.prototype=Object.create(E.prototype,{}),Pt.prototype.constructor=Pt,Pt.prototype.buildRequest=function(t,e){var o="undefined"!=typeof window?window:{};if(o.Gp&&o.Gp.Config&&o.Gp.Config.generalOptions&&o.Gp.Config.layers&&o.Gp.Config.generalOptions.apiKeys[this.options.apiKey]){if(!this.options.layerId)return this.logger.warn("Gp.Config existe déjà pour cette clé"),void this.options.onSuccess.call(this,o.Gp.Config);if(o.Gp.Config.layers[this.options.layerId]&&o.Gp.Config.layers[this.options.layerId].aggregatedLayers)return this.logger.warn("Gp.Config existe déjà pour cette clé et cette couche"),void this.options.onSuccess.call(this,o.Gp.Config)}this.request="",!(-1===this.options.serverUrl.indexOf("http://"))&&this.layerId&&(this.request=l.normalyzeParameters({layerId:this.layerId})),this.request||""===this.request?e.call(this,this.request):t.call(this,new a(s.getMessage("SERVICE_REQUEST_BUILD")))},Pt.prototype.analyzeResponse=function(t,e){if(this.response){var o={layerId:this.options.layerId,response:this.response,rawResponse:this.options.rawResponse,onSuccess:e,onError:t,scope:this};Tt.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var At=Pt;function Ot(t){if(!(this instanceof Ot))throw new TypeError("GeocodeParamREST constructor cannot be called as a function.");if(this.logger=n.getLogger(),this.logger.trace("[Constructeur GeocodeParamREST ()]"),this.options=t||{},!this.options.geocodeMethod||"search"!==this.options.geocodeMethod&&"reverse"!==this.options.geocodeMethod)throw new Error("Error geocodeMethod not valid");this.geocodeMethod=this.options.geocodeMethod,this.query=void 0!==this.options?this.options.query:null,this.searchGeometry=this.options.searchGeometry||null,this.index=this.options.index||null,this.lon=this.options.position&&this.options.position.lon?this.options.position.lon:null,this.lat=this.options.position&&this.options.position.lat?this.options.position.lat:null,this.maxResp=this.options.maxResp||null,this.returnTrueGeometry=this.options.returnTrueGeometry||null,this.filters=this.options.filters||{}}Ot.CLASSNAME="GeocodeParamREST",Ot.prototype={constructor:Ot,getFilters:function(){var t={};for(var e in this.filters)this.filters.hasOwnProperty(e)&&(t[e]=this.filters[e]);return t},getIndex:function(){return void 0===this.index?null:"StreetAddress"===this.index?"address":"CadastralParcel"===this.index?"parcel":"PositionOfInterest"===this.index?"poi":"location"===this.index?"location":this.index},getSearchGeometry:function(){return JSON.stringify(this.searchGeometry)}},Ot.prototype.getParams=function(){var t=[];"search"===this.geocodeMethod&&t.push({k:"q",v:this.query}),this.index&&t.push({k:"index",v:this.getIndex()}),"reverse"===this.geocodeMethod&&this.searchGeometry&&t.push({k:"searchgeom",v:this.getSearchGeometry()}),this.lon&&this.lat&&(t.push({k:"lon",v:this.lon}),t.push({k:"lat",v:this.lat})),this.maxResp&&t.push({k:"limit",v:this.maxResp}),this.returnTrueGeometry&&t.push({k:"returntruegeometry",v:this.returnTrueGeometry});var e=this.getFilters();for(var o in e)t.push({k:o,v:e[o]});return t};var xt=Ot;function Ct(t){if(this.logger=n.getLogger("GeocodeRequestREST"),this.logger.trace("[Constructeur GeocodeRequestREST ()]"),!(this instanceof Ct))throw new TypeError("GeocodeRequestREST constructor cannot be called as a function.");if(!t)throw new Error(s.getMessage("PARAM_EMPTY","options"));this.settings=t}Ct.prototype={requestString:null,constructor:Ct,processRequestString:function(){for(var t="",e=new xt(this.settings).getParams(),o=0;o<e.length;o++){var r=e[o];t&&(t+="&"),t+=r.k+"="+r.v}if(!this.settings.geocodeMethod||"search"!==this.settings.geocodeMethod&&"reverse"!==this.settings.geocodeMethod)throw new Error("Error geocodeMethod not valid");return this.requestString="?"+t,this.logger.trace(this.requestString),this.requestString}};var Mt=Ct,It={build:function(t){var e=n.getLogger("GeocodeRequestFactory");e.trace(["GeocodeRequestFactory::build()"]);var o=new Mt(t||{});if(!o.processRequestString())throw new Error("Error process request (rest) !");var r=o.requestString;return e.trace(r),r}};function Nt(){if(!(this instanceof Nt))throw new TypeError("GeocodeResponse constructor cannot be called as a function.");this.locations=[]}Nt.prototype={constructor:Nt};var Lt=Nt;function kt(){if(!(this instanceof kt))throw new TypeError("GeocodedLocation constructor cannot be called as a function.");this.position=null,this.matchType=null,this.placeAttributes={},this.type=null,this.accuracy=null,this.CLASSNAME="GeocodedLocation"}kt.prototype={constructor:kt};var Ut=kt;function Dt(){if(!(this instanceof Dt))throw new TypeError("GeocodeResponseParser constructor cannot be called as a function.")}function qt(t,e){var o=new Ut;if(t.geometry&&"Point"===t.geometry.type&&(o.position={lon:t.geometry.coordinates[0],lat:t.geometry.coordinates[1]}),t.properties){for(var r in t.properties)"_score"===r?o.accuracy=t.properties[r]:"_type"===r?"address"===t.properties[r]?o.type="StreetAddress":"poi"===t.properties[r]?o.type="PositionOfInterest":"parcel"===t.properties[r]&&(o.type="CadastralParcel"):o.placeAttributes[r]=t.properties[r];"address"===t.properties._type&&(o.matchType=void 0!==t.properties.number&&null!==t.properties.number?"street number":"street")}e.locations.push(o)}Dt.prototype={constructor:Dt,parse:function(t){var e=new Lt,o=JSON.parse(t);if("FeatureCollection"===o.type)for(var r=0;r<o.features.length;++r)qt(o.features[r],e);else{if("Feature"!==o.type){if("SERVICE_ERROR"===o.type)return{exceptionReport:o};var n=s.getMessage("SERVICE_RESPONSE_ANALYSE",o.type);throw new a({message:n,type:a.TYPE_UNKERR,status:200})}qt(o,e)}return e}};var Gt=Dt,Ft={build:function(t){var e=null;if(t.response){if(t.rawResponse)e=t.response;else{try{if(!(e=(new Gt).parse(t.response)))throw new Error("L'analyse de la réponse du service !?")}catch(e){var o=e.message;return"string"==typeof t.response?o+="('"+t.response+"')":o+="('"+t.response.documentElement.innerHTML+"')",void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_ANALYSE",o),type:a.TYPE_UNKERR,status:-1}))}if(e.exceptionReport)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",e.exceptionReport),type:a.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,e)}else t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EMPTY"),type:a.TYPE_SRVERR,status:-1}))}};function jt(t){return(jt="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function Vt(t){if(!(this instanceof Vt))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","Geocode"));this.CLASSNAME="Geocode",this.logger=n.getLogger("Gp.Services.Geocode"),this.logger.trace("[Constructeur Geocode (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl=e.serverUrl||"https://wxs.ign.fr/calcul/geoportail/geocodage/rest/0.1/search",E.apply(this,[e]),!e.hasOwnProperty("query"))throw new Error(s.getMessage("PARAM_MISSING","query"));if(this.options.query=e.query,e.index||(this.options.index=e.index="StreetAddress"),e.filters)for(var o=Object.keys(e.filters),r=0;r<o.length;r++){var i=o[r];(void 0===e.filters[i]||"object"===jt(e.filters[i])&&0===Object.keys(e.filters[i]).length||"string"==typeof e.filters[i]&&0===e.filters[i].length||Array.isArray(e.filters[i])&&0===e.filters[i].length)&&delete this.options.filters[i]}this.options.index=e.index||"StreetAddress",this.options.maximumResponses=e.maximumResponses||20}Vt.prototype=Object.create(E.prototype,{}),Vt.prototype.constructor=Vt,Vt.prototype.patchOptionConvertor=function(t){var e=t;return e.hasOwnProperty("location")&&(this.logger.warn("The parameter 'location' is deprecated"),e.query||(e.query=e.location),delete e.location),e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filters||(e.filters=e.filterOptions,e.filters.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.index||(Array.isArray(e.filters.type)&&e.filters.type.length>0?e.index=e.filters.type[0]:e.index=e.filters.type),delete e.filters.type),e.filters.bbox&&(this.logger.warn("The parameter 'filterOptions.bbox' is deprecated"),delete e.filters.bbox)),delete e.filterOptions),e.position&&(e.position.x&&(this.logger.warn("The parameter 'position.x' is deprecated"),e.position.lon||(e.position.lon=e.position.x),delete e.position.x),e.position.y&&(this.logger.warn("The parameter 'position.y' is deprecated"),e.position.lat||(e.position.lat=e.position.y),delete e.position.y)),e.returnFreeForm&&(this.logger.warn("The parameter 'returnFreeForm' is deprecated"),delete e.returnFreeForm),e.srs&&(this.logger.warn("The parameter 'srs' is deprecated"),delete e.srs),e},Vt.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,geocodeMethod:"search",query:this.options.query,index:this.options.index,returnTrueGeometry:this.options.returnTrueGeometry,position:this.options.position,maxResp:this.options.maximumResponses,filters:this.options.filters};this.request=It.build(o),this.request?e.call(this,this.request):t.call(this,new a(s.getMessage("SERVICE_REQUEST_BUILD")))},Vt.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};Ft.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var Xt=Vt;function Yt(t){return(Yt="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function Ht(t){if(!(this instanceof Ht))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","ReverseGeocode"));this.CLASSNAME="ReverseGeocode",this.logger=n.getLogger("Gp.Services.ReverseGeocode"),this.logger.trace("[Constructeur ReverseGeocode (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl=e.serverUrl||"https://wxs.ign.fr/calcul/geoportail/geocodage/rest/0.1/reverse",E.apply(this,[e]),e.searchGeometry)this.options.searchGeometry=e.searchGeometry;else if(!e.position)throw new Error(s.getMessage("PARAM_MISSING","searchGeometry"));if(e.index||(this.options.index=e.index="StreetAddress"),e.filters)for(var o=Object.keys(e.filters),r=0;r<o.length;r++){var i=o[r];(void 0===e.filters[i]||"object"===Yt(e.filters[i])&&0===Object.keys(e.filters[i]).length||"string"==typeof e.filters[i]&&0===e.filters[i].length||Array.isArray(e.filters[i])&&0===e.filters[i].length)&&delete this.options.filters[i]}this.options.position=e.position,this.options.index=e.index||"StreetAddress",this.options.maximumResponses=e.maximumResponses||20}Ht.prototype=Object.create(E.prototype,{}),Ht.prototype.constructor=Ht,Ht.prototype.patchOptionConvertor=function(t){var e=t;return e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filterOptions.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.index||(Array.isArray(e.filterOptions.type)&&e.filterOptions.type.length>0?e.index=e.filterOptions.type[0]:e.index=e.filterOptions.type),delete e.filterOptions.type),e.filterOptions.bbox&&(this.logger.warn("The parameter 'filterOptions.bbox' is deprecated"),e.searchGeometry||(e.searchGeometry=this.bbox2Json(e.filterOptions.bbox)),delete e.filterOptions.bbox),e.filterOptions.circle&&(this.logger.warn("The parameter 'filterOptions.circle' is deprecated"),e.searchGeometry||(e.searchGeometry=this.circle2Json(e.filterOptions.circle)),delete e.filterOptions.circle),e.filterOptions.polygon&&(this.logger.warn("The parameter 'filterOptions.polygon' is deprecated"),e.searchGeometry||(e.searchGeometry=this.polygon2Json(e.filterOptions.polygon)),delete e.filterOptions.polygon),!e.filters&&Object.keys(e.filterOptions).length>0&&(e.filters=e.filterOptions),delete e.filterOptions),e.position&&(e.position.x&&(this.logger.warn("The parameter 'position.x' is deprecated"),e.position.lon||(e.position.lon=e.position.x),delete e.position.x),e.position.y&&(this.logger.warn("The parameter 'position.y' is deprecated"),e.position.lat||(e.position.lat=e.position.y),delete e.position.y)),e.srs&&(this.logger.warn("The parameter 'srs' is deprecated"),delete e.srs),e},Ht.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,geocodeMethod:"reverse",searchGeometry:this.options.searchGeometry,index:this.options.index,position:this.options.position,returnTrueGeometry:this.options.returnTrueGeometry,maxResp:this.options.maximumResponses,filters:this.options.filters};this.request=It.build(o),this.request?e.call(this,this.request):t.call(this,new a(s.getMessage("SERVICE_REQUEST_BUILD")))},Ht.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};Ft.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))},Ht.prototype.bbox2Json=function(t){return{type:"Polygon",coordinates:[[[t.left,t.top],[t.right,t.top],[t.right,t.bottom],[t.left,t.bottom],[t.left,t.top]]]}},Ht.prototype.circle2Json=function(t){return{type:"Circle",radius:t.radius,coordinates:[t.x,t.y]}},Ht.prototype.polygon2Json=function(t){for(var e={type:"Polygon",coordinates:[[]]},o=0;o<t.length;++o)e.coordinates[0].push([t[o].x,t[o].y]);return e},Ht.geoEPSG=["EPSG:4326"];var zt=Ht;function Kt(){if(!(this instanceof Kt))throw new TypeError("AutoCompleteResponse constructor cannot be called as a function.");this.suggestedLocations=[]}Kt.prototype={constructor:Kt};var Wt=Kt;function Jt(){if(!(this instanceof Jt))throw new TypeError("SuggestedLocation constructor cannot be called as a function.");this.type=null,this.position={x:null,y:null},this.commune=null,this.fullText=null,this.postalCode=null,this.classification=null,this.street=null,this.poi=null,this.kind=null}Jt.prototype={constructor:Jt};var Bt=Jt,Qt={build:function(t){var e=n.getLogger("AutoCompleteResponseFactory");e.trace(["AutoCompleteResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r=null;if(r="string"==typeof t.response?JSON.parse(t.response):t.response){if(r.error)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",r.error.description),status:r.error.code,type:a.TYPE_SRVERR}));if(o=new Wt,!r.results||!Array.isArray(r.results))return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_FORMAT_3")));for(var i=null,l=0;l<r.results.length;l++){var c=r.results[l];i=new Bt,c&&("StreetAddress"===c.country?(i.street=c.street,i.type="StreetAddress"):"PositionOfInterest"===c.country&&(i.poi=c.street,i.kind=c.kind,i.type="PositionOfInterest"),i.position&&(i.position.x=c.x,i.position.y=c.y),i.commune=c.city,i.fullText=c.fulltext,i.postalCode=c.zipcode,i.classification=c.classification),o.suggestedLocations.push(i)}if(!o.suggestedLocations.length)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_FORMAT_3")))}if(!o)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_ANALYSE_2"),type:a.TYPE_UNKERR,status:-1}));if(o.exceptionReport)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:a.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))}};function Zt(t){if(!(this instanceof Zt))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","AutoComplete"));this.CLASSNAME="AutoComplete",this.logger=n.getLogger("Gp.Services.AutoComplete"),this.logger.trace("[Constructeur AutoComplete (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl=e.serverUrl||"https://wxs.ign.fr/calcul/geoportail/geocodage/rest/0.1/completion",E.apply(this,arguments),!e.text)throw new Error(s.getMessage("PARAM_MISSING","text"));this.options.text=e.text,e.type||(e.type=["StreetAddress,PositionOfInterest"]),this.options.type=e.type,this.options.territory=e.territory||"",this.options.maximumResponses=e.maximumResponses||10,"XHR"===this.options.protocol&&"POST"===this.options.httpMethod&&(this.logger.warn("Le service ne gére pas le mode d'interrogation en POST, on bascule sur du GET !"),this.options.httpMethod="GET"),this.options.outputFormat=this.options.rawResponse?"":"json"}Zt.prototype=Object.create(E.prototype,{}),Zt.prototype.constructor=Zt,Zt.prototype.patchOptionConvertor=function(t){var e=t;return e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filterOptions.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.type||(e.type=e.filterOptions.type)),e.filterOptions.territory&&(this.logger.warn("The parameter 'filterOptions.territory' is deprecated"),e.terr||(e.terr=e.filterOptions.territory)),delete e.filterOptions),e},Zt.prototype.buildRequest=function(t,e){var o="";this.options.territory&&(o=this.options.territory);var r="";this.options.type&&(r=this.options.type.join(",")),this.request=l.normalyzeParameters({text:encodeURIComponent(this.options.text),type:r,terr:o,maximumResponses:this.options.maximumResponses}),this.request?e.call(this,this.request):t.call(this,new a(s.getMessage("SERVICE_REQUEST_BUILD")))},Zt.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onSuccess:e,onError:t,scope:this};Qt.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var $t=Zt;function te(t){if(!(this instanceof te))throw new TypeError("RouteParamREST constructor cannot be called as a function.");this.logger=n.getLogger(),this.logger.trace("[Constructeur RouteParamREST ()]"),this.options=t||{},this.resource=this.options.resource,this.start=this.options.startPoint.x+","+this.options.startPoint.y,this.end=this.options.endPoint.x+","+this.options.endPoint.y,this.intermediates=this.options.viaPoints,this.profile=this.options.graph,this.crs=this.options.srs,this.constraints=this.options.constraints,this.optimization=this.options.routePreference,this.getSteps=this.options.geometryInInstructions?"true":"false",this.distanceUnit=this.options.distanceUnit,this.timeUnit=this.options.timeUnit,this.waysAttributes=this.options.waysAttributes}te.CLASSNAME="RouteParamREST",te.prototype={constructor:te,getIntermediates:function(){var t=[];if(0!==this.intermediates.length)for(var e=0;e<this.intermediates.length;e++){var o=this.intermediates[e];t.push(o.x+","+o.y)}return t.join("|")},getWaysAttributes:function(){return this.waysAttributes.join("|")},getProfile:function(){return this.profile},getDistanceUnit:function(){return"m"===this.distanceUnit?"meter":"km"===this.distanceUnit?"kilometer":""},getOptimization:function(){return this.optimization?this.optimization:""},getConstraints:function(){var t=[];if(0!==this.constraints.length)for(var e=0;e<this.constraints.length;e++)t.push(JSON.stringify(this.constraints[e]));return t.join("|")}},te.prototype.getParams=function(){var t=[];return t.push({k:"resource",v:this.resource}),t.push({k:"start",v:this.start}),t.push({k:"end",v:this.end}),t.push({k:"geometryFormat",v:"geojson"}),this.optimization&&t.push({k:"optimization",v:this.getOptimization()}),this.intermediates&&t.push({k:"intermediates",v:this.getIntermediates()}),this.profile&&t.push({k:"profile",v:this.getProfile()}),this.constraints&&t.push({k:"constraints",v:this.getConstraints()}),this.crs&&t.push({k:"crs",v:this.crs}),this.distanceUnit&&t.push({k:"distanceUnit",v:this.getDistanceUnit()}),this.timeUnit&&t.push({k:"timeUnit",v:this.timeUnit}),this.waysAttributes&&t.push({k:"waysAttributes",v:this.getWaysAttributes()}),t};var ee=te;function oe(t){if(this.logger=n.getLogger("RouteRequestREST"),this.logger.trace("[Constructeur RouteRequestREST ()]"),!(this instanceof oe))throw new TypeError("RouteRequestREST constructor cannot be called as a function.");if(!t)throw new Error(s.getMessage("PARAM_EMPTY","options"));this.settings=t}oe.prototype={requestString:null,constructor:oe,processRequestString:function(){this.logger.warn(" PROTOTYPE !");for(var t=new ee(this.settings).getParams(),e="",o=0;o<t.length;o++){var r=t[o];e&&(e+="&"),e+=r.k+"="+r.v}return this.logger.trace(e),this.requestString=e,this.requestString}};var re=oe,ne={build:function(t){n.getLogger("RouteRequestFactory").trace(["RouteRequestFactory::build()"]);var e=t||{},o=!(null===t.onError||"function"!=typeof t.onError),r=null,s=new re(e);if(!s.processRequestString()){if(r="Error process request (rest) !",o)return void t.onError.call(t.scope,new a(r));throw new Error(r)}return s.requestString}};function se(){if(!(this instanceof se))throw new TypeError("RouteResponse constructor cannot be called as a function.");this.totalTime=null,this.totalDistance=null,this.bbox={left:null,right:null,top:null,bottom:null},this.routeGeometry=null,this.routeInstructions=[]}se.prototype={constructor:se};var ie=se;function ae(){if(!(this instanceof ae))throw new TypeError("RouteInstruction constructor cannot be called as a function.");this.duration=null,this.distance=null,this.code=null,this.instruction=null,this.geometry=null}ae.prototype={constructor:ae};var le=ae,ce={build:function(t){var e=n.getLogger("RouteResponseFactory");e.trace("RouteResponseFactory::build()");var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r;if(e.trace("analyze response : json"),r="string"==typeof t.response?JSON.parse(t.response):t.response){if(r.message)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EXCEPTION",r.message)));var i=[],l=[],c=[];if((o=new ie).hasOwnProperty("totalTime")&&(o.totalTime=parseFloat(r.duration)),o.hasOwnProperty("totalDistance")&&(o.totalDistance=parseFloat(r.distance)),o.hasOwnProperty("bbox")&&(o.bbox.left=parseFloat(r.bbox[0]),o.bbox.bottom=parseFloat(r.bbox[1]),o.bbox.right=parseFloat(r.bbox[2]),o.bbox.top=parseFloat(r.bbox[3])),o.hasOwnProperty("routeGeometry")&&!t.geometryInInstructions&&(o.routeGeometry=r.geometry),o.hasOwnProperty("routeInstructions")&&t.geometryInInstructions){var u,p=r.portions;if(Array.isArray(p)&&p.length)for(u=0;u<p.length;u++)i.push(p[u]);if(i.length)for(u=0;u<i.length;u++)l.push(i[u].steps);if(l.length)for(u=0;u<l.length;u++)c=c.concat(l[u]);c.forEach((function(t){switch(o.routeInstructions.push(new le),o.routeInstructions[o.routeInstructions.length-1].duration=t.duration,o.routeInstructions[o.routeInstructions.length-1].distance=t.distance,o.routeInstructions[o.routeInstructions.length-1].code="",o.routeInstructions[o.routeInstructions.length-1].instruction="",o.routeInstructions[o.routeInstructions.length-1].geometry=t.geometry,"Valeur non renseignée"===t.name&&(t.name=""),t.instruction.type){case"turn":o.routeInstructions[o.routeInstructions.length-1].instruction+="Tourner";break;case"new name":o.routeInstructions[o.routeInstructions.length-1].instruction+="Continuer tout droit";break;case"depart":o.routeInstructions[o.routeInstructions.length-1].instruction+="Départ";break;case"arrive":o.routeInstructions[o.routeInstructions.length-1].instruction+="Arrivée";break;case"merge":o.routeInstructions[o.routeInstructions.length-1].instruction+="Rejoindre";break;case"ramp":case"on ramp":o.routeInstructions[o.routeInstructions.length-1].instruction+="Prendre la bretelle";break;case"off ramp":o.routeInstructions[o.routeInstructions.length-1].instruction+="Prendre la sortie";break;case"fork":o.routeInstructions[o.routeInstructions.length-1].instruction+="Sur la bifurcation, prendre";break;case"end of road":o.routeInstructions[o.routeInstructions.length-1].instruction+="À la fin de la route, prendre";break;case"use lane":o.routeInstructions[o.routeInstructions.length-1].instruction+="Utiliser la file";break;case"continue":o.routeInstructions[o.routeInstructions.length-1].instruction+="Continuer";break;case"roundabout":case"rotary":o.routeInstructions[o.routeInstructions.length-1].instruction+="Au rond-point";break;case"roundabout turn":o.routeInstructions[o.routeInstructions.length-1].instruction+="Au rond point, tourner";break;case"notification":o.routeInstructions[o.routeInstructions.length-1].instruction+="";break;default:o.routeInstructions[o.routeInstructions.length-1].instruction+="?"+t.instruction.type+"?"}if(t.instruction.modifier)switch(t.instruction.modifier){case"uturn":o.routeInstructions[o.routeInstructions.length-1].instruction="Faire demi-tour";break;case"sharp right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" complètement à droite";break;case"right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" à droite";break;case"slight right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" légèrement à droite";break;case"straight":o.routeInstructions[o.routeInstructions.length-1].instruction="Continuer tout droit";break;case"slight left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" lègèrement à gauche";break;case"left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" à gauche";break;case"sharp left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" complètement à gauche";break;default:o.routeInstructions[o.routeInstructions.length-1].instruction+=" ?"+t.instruction.modifier+"?"}t.instruction.exit&&(o.routeInstructions[o.routeInstructions.length-1].instruction+="".concat(t.instruction.exit,"e sortie")),t.attributes.name&&((t.attributes.name.nom_1_droite||t.attributes.name.toponyme)&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" sur"),t.attributes.name.nom_1_droite&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" ".concat(t.attributes.name.nom_1_droite)),t.attributes.name.toponyme&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" ".concat(t.attributes.name.toponyme)))}))}}if(!o)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_ANALYSE","json")));if(o.exceptionReport)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EXCEPTION_2")))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))}};function ue(t){if(!(this instanceof ue))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","Route"));if(this.CLASSNAME="Route",E.apply(this,arguments),this.logger=n.getLogger("Gp.Services.Route"),this.logger.trace("[Constructeur Route (options)]"),!t.startPoint)throw new Error(s.getMessage("PARAM_MISSING","startPoint"));if(null===t.startPoint.x)throw new Error(s.getMessage("PARAM_MISSING","startPoint.x"));if(null===t.startPoint.y)throw new Error(s.getMessage("PARAM_MISSING","startPoint.y"));if(!t.endPoint)throw new Error(s.getMessage("PARAM_MISSING","endPoint"));if(null===t.endPoint.x)throw new Error(s.getMessage("PARAM_MISSING","endPoint.x"));if(null===t.endPoint.y)throw new Error(s.getMessage("PARAM_MISSING","endPoint.y"));if(t.outputFormat&&"json"!==t.outputFormat&&this.logger.warn("options.outputFormat could only be json"),this.options.outputFormat="json",this.options.resource=t.resource||"bdtopo-osrm",this.options.startPoint=t.startPoint,this.options.endPoint=t.endPoint,this.options.viaPoints=t.viaPoints||[],this.options.routePreference=t.routePreference||"fastest",t.graph?("Voiture"===t.graph&&(this.options.graph="car"),"Pieton"===t.graph&&(this.options.graph="pedestrian")):this.options.graph="car",this.options.constraints=[],t.constraints){if(!Array.isArray(t.constraints))throw new Error(s.getMessage("PARAM_TYPE","constraints"));for(var e=0;e<t.constraints.length;e++)this.options.constraints.push(t.constraints[e])}var o={},r={},i={};if(t.exclusions&&0!==t.exclusions.length){this.logger.warn("options.exclusions is DEPRECATED !!");for(var a=0;a<t.exclusions.length;a++)"string"==typeof t.exclusions[a]&&(t.exclusions[a]=t.exclusions[a].toLowerCase(),"toll"===t.exclusions[a]&&(i.constraintType="banned",i.key="wayType",i.operator="=",i.value="autoroute",this.options.constraints.push(i)),"tunnel"===t.exclusions[a]&&(o.constraintType="banned",o.key="wayType",o.operator="=",o.value="tunnel",this.options.constraints.push(o)),"bridge"===t.exclusions[a]&&(r.constraintType="banned",r.key="wayType",r.operator="=",r.value="pont",this.options.constraints.push(r)))}if(this.options.geometryInInstructions=t.geometryInInstructions||!1,this.options.provideBbox=t.provideBbox||!0,this.options.distanceUnit=t.distanceUnit||"m",this.options.timeUnit=t.timeUnit||"second",this.options.expectedStartTime=null,this.options.srs=t.srs||"EPSG:4326",this.options.waysAttributes=t.waysAttributes||[],!this.options.serverUrl){var l=y.Route.url(this.options.apiKey);if(!l)throw new Error("Url by default not found !");this.options.serverUrl=l,this.logger.trace("Serveur URL par defaut : "+this.options.serverUrl)}}ue.prototype=Object.create(E.prototype,{}),ue.prototype.constructor=ue,ue.prototype.buildRequest=function(t,e){var o={resource:this.options.resource,startPoint:this.options.startPoint,endPoint:this.options.endPoint,viaPoints:this.options.viaPoints,provideBbox:this.options.provideBbox,constraints:this.options.constraints,distanceUnit:this.options.distanceUnit,timeUnit:this.options.timeUnit,graph:this.options.graph,geometryInInstructions:this.options.geometryInInstructions,routePreference:this.options.routePreference,srs:this.options.srs,waysAttributes:this.options.waysAttributes};this.request=ne.build(o),this.request?e.call(this,this.request):t.call(this,new a(s.getMessage("SERVICE_REQUEST_BUILD")))},ue.prototype.analyzeResponse=function(t,e){if(this.response){var o={distanceUnit:this.options.distanceUnit,timeUnit:this.options.timeUnit,response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this,geometryInInstructions:this.options.geometryInInstructions};ce.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var pe=ue;function he(t){if(!(this instanceof he))throw new TypeError("ProcessIsoCurveParam constructor cannot be called as a function.");this.logger=n.getLogger(),this.logger.trace("[Constructeur ProcessIsoCurveParam ()]"),this.options=t||{},this.id=this.options.id,this.resource=this.options.resource,this.point=this.options.position,this.crs=this.options.srs,this.profile=this.options.graph,this.constraints=this.options.constraints,this.reverse=this.options.reverse,this.timeUnit=this.options.timeUnit,this.distanceUnit=this.options.distanceUnit,"distance"===this.options.method?(this.costType="distance",this.costValue=this.options.distance):(this.costType="time",this.costValue=this.options.time)}he.CLASSNAME="ProcessIsoCurveParam",he.prototype={constructor:he,getLocation:function(){return this.point.x+","+this.point.y},getDistanceUnit:function(){return"m"===this.distanceUnit?"meter":"km"===this.distanceUnit?"kilometer":""},getConstraints:function(){var t=[];if(0!==this.constraints.length)for(var e=0;e<this.constraints.length;e++)t.push(JSON.stringify(this.constraints[e]));return t.join("|")},getDirection:function(){return this.reverse?"arrival":"departure"}},he.prototype.getParams=function(){var t=[];return t.push({k:"resource",v:this.resource}),t.push({k:"point",v:this.getLocation()}),t.push({k:"direction",v:this.getDirection()}),t.push({k:"costType",v:this.costType}),t.push({k:"costValue",v:this.costValue}),t.push({k:"profile",v:this.profile}),t.push({k:"timeUnit",v:this.timeUnit}),t.push({k:"distanceUnit",v:this.getDistanceUnit()}),this.crs&&t.push({k:"crs",v:this.crs}),this.constraints&&t.push({k:"constraints",v:this.getConstraints()}),t};var fe=he;function ge(t){if(this.logger=n.getLogger("ProcessIsoCurveRequest"),this.logger.trace("[Constructeur ProcessIsoCurveRequest ()]"),!(this instanceof ge))throw new TypeError("ProcessIsoCurveRequest constructor cannot be called as a function.");if(!t)throw new Error(s.getMessage("PARAM_EMPTY","options"));this.settings=t,this.mode=this.settings.httpMethod||"GET"}ge.prototype={requestString:null,constructor:ge,processRequestString:function(){var t="",e=0;switch(this.mode){case"GET":this.logger.trace("Process GET Request");var o=new fe(this.settings).getParams();for(e=0;e<o.length;e++){var r=o[e];t&&(t+="&"),t+=r.k+"="+r.v}break;case"POST":this.logger.trace("Process POST Request");var n={};n.resource=this.settings.resource,n.point=this.settings.position.x+","+this.settings.position.y,"distance"===this.settings.method?(n.costType="distance",n.costValue=this.settings.distance):(n.costType="time",n.costValue=this.settings.time),n.profile=this.settings.graph,this.settings.reverse?n.direction="arrival":n.direction="departure",n.constraints=this.settings.constraints,n.distanceUnit=this.settings.distanceUnit,n.timeUnit=this.settings.timeUnit,n.crs=this.settings.srs,t=JSON.stringify(n);break;default:this.logger.error("No other HTTP method supported by the service !")}return this.logger.trace(t),this.requestString=t,this.requestString}};var de=ge;function me(){if(!(this instanceof me))throw new TypeError("ProcessIsoCurveResponse constructor cannot be called as a function.");this.message=null,this.id=null,this.location={},this.location.x=null,this.location.y=null,this.srs=null,this.geometry=null,this.time=null,this.distance=null}me.prototype={constructor:me};var ye=me,ve={build:function(t){var e=n.getLogger("ProcessIsoCurveResponseFactory");e.trace(["ProcessIsoCurveResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r;if(e.trace("analyze response : json"),r="string"==typeof t.response?JSON.parse(t.response):t.response,o=new ye,!r)return void t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_ANALYSE",t.response)));"distance"===r.costType?(o.time="",o.distance=r.costValue):(o.time=r.costValue,o.distance=""),o.message="",o.id="",o.srs=r.crs,o.geometry=r.geometry;var i=r.point.split(",");if(o.location&&(o.location.x=i[0],o.location.y=i[1]),o.exceptionReport)return void t.onError.call(t.scope,new a({message:s.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:a.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))}};function we(t){if(!(this instanceof we))throw new TypeError(s.getMessage("CLASS_CONSTRUCTOR","ProcessIsoCurve"));if(this.CLASSNAME="ProcessIsoCurve",E.apply(this,arguments),this.logger=n.getLogger("Gp.Services.ProcessIsoCurve"),this.logger.trace("[Constructeur ProcessIsoCurve (options)]"),!t.position)throw new Error(s.getMessage("PARAM_MISSING","position"));if(null===t.position.x)throw new Error(s.getMessage("PARAM_MISSING","position.x"));if(null===t.position.y)throw new Error(s.getMessage("PARAM_MISSING","position.y"));if(!t.time&&!t.distance)throw new Error("Parameter (s) 'distance' missing. Parameter time to calculate an isochrone, parameter distance for an isodistance");if(!t.time&&t.distance&&(this.options.method="distance",this.options.time&&delete this.options.time),t.time&&!t.distance&&(this.options.method="time",this.options.distance&&delete this.options.distance),this.options.method=this.options.method||"time",this.options.resource=t.resource||"bdtopo-iso",this.options.exclusions=t.exclusions||[],this.options.reverse=t.reverse||!1,this.options.srs=t.srs||"EPSG:4326",this.options.distanceUnit=t.distanceUnit||"m",this.options.timeUnit=t.timeUnit||"second",t.smoothing&&this.logger.warn("options.smoothing is DEPRECATED"),this.options.smoothing=!1,t.holes&&this.logger.warn("options.holes is DEPRECATED"),this.options.holes=!1,t.graph?("Voiture"===t.graph&&(this.options.graph="car"),"Pieton"===t.graph&&(this.options.graph="pedestrian")):this.options.graph="car",this.options.constraints=[],t.constraints){if(!Array.isArray(t.constraints))throw new Error(s.getMessage("PARAM_TYPE","constraints"));for(var e=0;e<t.constraints.length;e++)this.options.constraints.push(t.constraints[e])}var o={},r={},i={};if(t.exclusions&&0!==t.exclusions.length){this.logger.warn("options.exclusions is DEPRECATED !!");for(var a=0;a<t.exclusions.length;a++)"string"==typeof t.exclusions[a]&&(t.exclusions[a]=t.exclusions[a].toLowerCase(),"toll"===t.exclusions[a]&&(i.constraintType="banned",i.key="wayType",i.operator="=",i.value="autoroute",this.options.constraints.push(i)),"tunnel"===t.exclusions[a]&&(o.constraintType="banned",o.key="wayType",o.operator="=",o.value="tunnel",this.options.constraints.push(o)),"bridge"===t.exclusions[a]&&(r.constraintType="banned",r.key="wayType",r.operator="=",r.value="pont",this.options.constraints.push(r)))}if(this.options.outputFormat="string"==typeof t.outputFormat?t.outputFormat.toLowerCase():"json",t.outputFormat&&"json"!==t.outputFormat)throw new Error(s.getMessage("PARAM_NOT_SUPPORT","outputFormat"));if(this.options.outputFormat="json",!this.options.serverUrl){var l=y.ProcessIsoCurve.url(this.options.apiKey);if(!l)throw new Error("Url by default not found !");this.options.serverUrl=l,this.logger.trace("Serveur URL par defaut : "+this.options.serverUrl)}}we.prototype=Object.create(E.prototype,{}),we.prototype.constructor=we,we.prototype.buildRequest=function(t,e){try{var o=new de(this.options);if(!o.processRequestString())throw new Error(s.getMessage("SERVICE_REQUEST_BUILD"));this.request=o.requestString}catch(e){return void t.call(this,new a(e.message))}e.call(this,this.request)},we.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onSuccess:e,onError:t,scope:this};ve.build(o)}else t.call(this,new a(s.getMessage("SERVICE_RESPONSE_EMPTY")))};var Ee=we,Se={getConfig:function(t){new At(t).call()},getAltitude:function(t){new H(t).call()},geocode:function(t){new Xt(t).call()},reverseGeocode:function(t){new zt(t).call()},autoComplete:function(t){new $t(t).call()},route:function(t){new pe(t).call()},isoCurve:function(t){new Ee(t).call()}},Re=v.version,be=v.date,_e={};_e.servicesVersion=Re,_e.servicesDate=be,_e.Protocols={},_e.Protocols.XHR=f,_e.Services=Se,_e.Services.DefaultUrl=y,_e.Services.AltiResponse=D,_e.Services.Alti={},_e.Services.Alti.Elevation=G,_e.Services.AutoCompleteResponse=Wt,_e.Services.AutoComplete={},_e.Services.AutoComplete.SuggestedLocation=Bt,_e.Services.GetConfigResponse=K,_e.Services.Config={},_e.Services.Config.Constraint=J,_e.Services.Config.Format=Q,_e.Services.Config.Layer=$,_e.Services.Config.Legend=et,_e.Services.Config.Metadata=rt,_e.Services.Config.Originator=st,_e.Services.Config.Service=at,_e.Services.Config.Style=ct,_e.Services.Config.Territory=pt,_e.Services.Config.Thematic=ft,_e.Services.Config.TileMatrix=yt,_e.Services.Config.TileMatrixLimit=wt,_e.Services.Config.TileMatrixSet=dt,_e.Services.IsoCurveResponse=ye,_e.Services.RouteResponse=ie,_e.Services.Route={},_e.Services.Route.RouteInstruction=le,_e.Error=a,_e.Helper=l;e.default=_e}]).default}));